; #SCAN_ChangeDIR = "C:\Programming\PureBasic_CDROM\CAV\Toms_CodeScanner\CodeArchiv-Test"
; #SCAN_PBCompile = "C:\programming\PureBasic\Compilers\Pbcompiler.exe"
; 


;#MAXSCANFILES = 100

Structure MySTARTUPINFO
  cb.l
  lpReserved.l
  lpDesktop.l
  lpTitle.l
  dwX.l
  dwY.l
  dwXSize.l
  dwYSize.l
  dwXCountChars.l
  dwYCountChars.l
  dwFillAttribute.l
  dwFlags.l
  wShowWindow.w
  cbReserved2.w
  lpReserved2.l
  hStdInput.l
  hStdOutput.l
  hStdError.l
EndStructure

; Global VerCMD.s : VerCMD.s = #SCAN_PBCompile + " No*ne.pb"
;Global VerCMD.s : VerCMD.s = Scan_PBCompile$ + " No*ne.pb"
Global Scan_PBCompile$

Global proc.PROCESS_INFORMATION, ret.l, start.MySTARTUPINFO
Global sa.SECURITY_ATTRIBUTES, hReadPipe.l, hWritePipe.l
Global lngBytesread.l, strBuff.s
strBuff.s=Space(256)

#NORMAL_PRIORITY_CLASS = $20
#STARTF_USESTDHANDLES = $100
#STARTF_USESHOWWINDOW = $1


Procedure.s PipeR(Launch.s)
  
  sa\nLength =SizeOf(SECURITY_ATTRIBUTES)
  sa\bInheritHandle = 1
  sa\lpSecurityDescriptor = 0
  ret = CreatePipe_(@hReadPipe, @hWritePipe, @sa, 0)
  
  If ret = 0
    MessageRequester("Error Alert!", "Failed to create PIPE, Try restarting...",0)
    End
  EndIf
  
  start\cb = SizeOf(MySTARTUPINFO)
  start\dwFlags = #STARTF_USESHOWWINDOW | #STARTF_USESTDHANDLES
  
  start\hStdOutput = hWritePipe
  start\hStdError = hWritePipe
  
  
  ret = CreateProcess_(0, Launch, sa, sa, 1, #NORMAL_PRIORITY_CLASS, 0, 0, @start, @proc)
  
  If ret <> 1
    MessageRequester("Error Alert!","Failed to create PIPE, Try restarting...", 0)
    End
  EndIf
  
  ret = CloseHandle_(hWritePipe)
  
  Returns.s = ""
  
  While ret<>0
    ret = ReadFile_(hReadPipe, strBuff, 255, @lngBytesread, 0)
    If lngBytesread>0
      Returns = Returns + Left(strBuff, lngBytesread)
    EndIf
  Wend
  ;Debug Returns.s
  
  ProcedureReturn Returns.s
EndProcedure

Procedure PipeD()
  ret = CloseHandle_(proc\hProcess)
  ret = CloseHandle_(proc\hThread)
  ret = CloseHandle_(hReadPipe)
EndProcedure


#NORMAL_PRIORITY_CLASS = $20
#STARTF_USESTDHANDLES = $100
#STARTF_USESHOWWINDOW = $1


; ***** Original functions of Tommeh *****
; Procedure.s ProbeFile(File$)
;   Function$ = PipeR.s(#SCAN_PBCompile + " /INLINEASM /EXE temp.exe " + File$)
; ;  Debug Function$
;   If FindString(Function$, "- Feel the ..PuRe.. Power -", 0)>0
;     Lines$ = StringField(Function$, 9, Chr(13)+Chr(10)) : Lines$ = StringField(Right(Lines$, Len(Lines$)-1), 1, " ")
;     ProcedureReturn "ok"
;   Else
; 
;  Debug "*** Error found: "+File$+" ********************************"
; ; Debug "... "+Right(Function$,Len(Function$)-FindString(Function$,"Starting compilation",1)+10)
;     
;     Error$ = StringField(Function$, 10, Chr(13)+Chr(10)) : Error$ = Right(Error$, Len(Error$)-1)
;     Eline$ = Left(StringField(Error$, 2, " "), Len(StringField(Error$, 2, " "))-1)
;     Debug Error$
;     Debug Eline$
;     If LCase(StringField(Error$, 3, " ")) = "allocatememory()" And LCase(StringField(Error$, 5, " ")) = "incorrect"
;       If FastOpenTextFile(File$)
;         text$ = Trim(FastReadLine(Val(Eline$)))
;         Debug text$
;         text$ = Right(text$, Len(text$)-FindString(LCase(text$), "allocatememory", 0)+1)
;         text$ = Left(RemoveString(LCase(text$), "allocatememory("), Len(RemoveString(LCase(text$), "allocatememory("))-1)
;         
;         CorrectVal$ = StringField(text$, 2, ",")
;         
;         Debug text$
;       EndIf 
;     EndIf
;     
;   EndIf
; EndProcedure
; **********************************************


Procedure.s ProbeFile(File$)

  ; Addition with PB3.93, we need the full path for the file, included in double quotes
  b$=Space(512) 
  GetFullPathName_(File$,Len(b$),@b$,@c$)     ; c$ = dummy string for filepart
  File$ = #DQUOTE$+PeekS(@b$)+#DQUOTE$

  Compiler$ = Scan_PBCompile$

  If GetGadgetState(#CodeTesterCheckInlinASM)
    Compiler$ + " /INLINEASM"
  EndIf

  If GetGadgetState(#CodeTesterCheckDebugger)
    Compiler$ + " /DEBUGGER"
  EndIf
  
  Compiler$ + " /EXE cavtemp.exe " + File$

  Function$ = PipeR(Compiler$)
  ;Function$ = PipeR.s(Scan_PBCompile$ + " /INLINEASM /EXE cavtemp.exe " + File$)
;Debug Function$

  ; This was valid until PB3.92:
  If FindString(Function$, "- Feel the ..PuRe.. Power -", 0)>0
  ;If FindString(Function$, "PureBasic v", 0) > 0 And FindString(Function$, "Windows x86", 0) > 0
    Lines$ = StringField(Function$, 9, Chr(13)+Chr(10)) : Lines$ = StringField(Right(Lines$, Len(Lines$)-1), 1, " ")


    ; Here we run the actual created exe, if compiling was sucessful
    If GetGadgetState(#CodeTesterCheckCompiRun) = 1
      CompilerIf #dev
        b$=Space(512) 
        GetFullPathName_("cavtemp.exe",Len(b$),@b$,@c$)     ; c$ = dummy string for filepart
        run$ = PeekS(@b$)

        ;run$ = "..\cavtemp.exe"   ; relative path during development
      CompilerElse
        run$ = #DQUOTE$ + exepath$ + "cavtemp.exe" + #DQUOTE$ 
      CompilerEndIf

;       Debug run$
;       Debug File$
;       Debug FileSize(run$)

      If MFileExists(run$)      ; If FileSize(run$) > 0


        ; start asynchronously if selected
        If prefs(30) = 1   ; wait for the end of started program
          progID = RunProgram(#DQUOTE$+run$+#DQUOTE$, "", GetPathPart(File$), #PB_Program_Wait|#PB_Program_Open)    ; start the exe in its own directory and wait until its end
          While ProgramRunning(progID)
            If GetAsyncKeyState_(#VK_ESCAPE)=-32767 
              CloseProgram(progID)
              KillProgram(progID)
              Break
            EndIf
          Wend 
        Else    ; don't wait  (asynchron)
          progID = RunProgram(#DQUOTE$+run$+#DQUOTE$, "", GetPathPart(File$), #PB_Program_Open)    ; start the exe in its own directory and don't wait until its end
        EndIf

        While WindowEvent() : Wend
      Else
        a$ = Language$(198) + Chr(10)        ; Temp-Exe file wasn't found or is 0 bytes
        a$ + run$
        MessageRequester(Language$(178),a$,#MB_ICONWARNING)   
      EndIf
    EndIf
    
    
    ProcedureReturn "ok"
  Else

;     For a=1 To 12
;       Debug Str(a)+": "+StringField(Function$, a, Chr(13)+Chr(10)) 
;     Next

    ; Attention: until PB3.92 the error line was 10
    #errorline = 9
    Error$ = StringField(Function$, #errorline, Chr(13)+Chr(10)) : Error$ = Right(Error$, Len(Error$)-1)
    Eline$ = Left(StringField(Error$, 2, " "), Len(StringField(Error$, 2, " "))-1)
;    Debug Error$
;    Debug Eline$

;     If LCase(StringField(Error$, 3, " ")) = "allocatememory()" And LCase(StringField(Error$, 5, " ")) = "incorrect"
;       If FastOpenTextFile(File$)
;         text$ = Trim(FastReadLine(Val(Eline$)))
;         Debug text$
;         text$ = Right(text$, Len(text$)-FindString(LCase(text$), "allocatememory", 0)+1)
;         text$ = Left(RemoveString(LCase(text$), "allocatememory("), Len(RemoveString(LCase(text$), "allocatememory("))-1)
;         
;         CorrectVal$ = StringField(text$, 2, ",")
;         
;         Debug text$
;       EndIf 
;     EndIf
    ProcedureReturn Error$    
  EndIf
EndProcedure



Procedure CheckCompileRunOptions()
  If GetGadgetState(#CodeTesterCheckCompiRun) = 0     ; .... disabled
    a = 1    ; then also disable the related gadgets
  Else
    a = 0
  EndIf
  DisableGadget(#CodeTesterCheckRunText ,a)
  DisableGadget(#CodeTesterCheckWaitfEnd,a)
  DisableGadget(#CodeTesterCheckASynchro,a)
EndProcedure


Procedure OpenCodeTesterWin()
  Flags.l = #PB_Window_SystemMenu|#PB_Window_TitleBar|#PB_Window_ScreenCentered
  If OpenWindow(#CodeTesterWin, 0, 0, 620, 365, "C.A.V. - "+Language$(170), Flags)
    SetWindowPos_(WindowID(#CodeTesterWin),#HWND_TOPMOST,0,0,0,0,#SWP_NOMOVE|#SWP_NOSIZE) 
    EnableWindow_(WindowID(#MainWindow), #False) 
      y = 10 : w = 600
      ListIconGadget(#CodeTesterList,10,y,w,250,Language$(171),150,#PB_ListIcon_FullRowSelect|#PB_ListIcon_AlwaysShowSelection)  :  y + 257
        AddGadgetColumn(#CodeTesterList,1,Language$(172),50)
        AddGadgetColumn(#CodeTesterList,2,Language$(173),w-222)
      CheckBoxGadget(#CodeTesterCheckCompiRun, 20,y  ,170,20,Language$(197))             ; Compile AND run program
      TextGadget    (#CodeTesterCheckRunText ,195,y+3,160,20,Language$(205),#PB_Text_Right)
      OptionGadget  (#CodeTesterCheckWaitfEnd,360,y  ,130,20,Language$(206))             ; Wait for end of started program
      OptionGadget  (#CodeTesterCheckASynchro,495,y  ,110,20,Language$(207))  : y + 22   ; Start compiled program asynchronous
      CheckBoxGadget(#CodeTesterCheckDebugger, 20,y  ,280,20,Language$(204))             ; Enable debugger when creating executable
      CheckBoxGadget(#CodeTesterCheckInlinASM,320,y  ,280,20,Language$(214))  : y + 22   ; Enable InlineASM when creating executable
      CheckBoxGadget(#CodeTesterCheckFromHere, 20,y  ,500,20,Language$(196))  : y + 25   ; Check all codes from actual position
      w2 = w/3 - 10
      ButtonGadget(#CodeTesterOne   , 15      , y, w2, 25, Language$(174))
      ButtonGadget(#CodeTesterAll   , 25+w2   , y, w2, 25, Language$(175))
      ButtonGadget(#CodeTesterEditor, 35+w2*2 , y, w2, 25, Language$(176))


      SetGadgetState(#CodeTesterCheckCompiRun, prefs(29))
      If prefs(30) = 1
        SetGadgetState(#CodeTesterCheckWaitfEnd, 1)
      Else
        SetGadgetState(#CodeTesterCheckASynchro, 1)
      EndIf
      SetGadgetState(#CodeTesterCheckDebugger, prefs(31))
      SetGadgetState(#CodeTesterCheckInlinASM, prefs(32))
      SetGadgetState(#CodeTesterCheckFromHere, prefs(33))
      CheckCompileRunOptions()
      
      For a=1 To files    
        AddGadgetItem(#CodeTesterList,-1,GetFilePart(files(a)))
      Next
      SetGadgetItemState(#CodeTesterList,0,#PB_ListIcon_Selected) 
      SetActiveGadget(#CodeTesterList)
    AddKeyboardShortcut(#CodeTesterWin,#PB_Shortcut_Escape,#CodeTesterExit)
    AddKeyboardShortcut(#CodeTesterWin,#PB_Shortcut_Return,#CodeTesterReturn)      ; Return-Handler for the Use/Save/Cancel buttons
    SetActiveWindow(#CodeTesterWin)
  EndIf
EndProcedure


Procedure CloseCodeTesterWin()
  ; Store prefs settings of CodeTester window:
  prefs(29) = GetGadgetState(#CodeTesterCheckCompiRun)
  a = GetGadgetState(#CodeTesterCheckWaitfEnd)
  If a = 1 
    prefs(30) = 1
  Else
    prefs(30) = 0
  EndIf
  prefs(31) = GetGadgetState(#CodeTesterCheckDebugger)
  prefs(32) = GetGadgetState(#CodeTesterCheckInlinASM)
  prefs(33) = GetGadgetState(#CodeTesterCheckFromHere)

  EnableWindow_(WindowID(#MainWindow), #True)
  CloseWindow(#CodeTesterWin)
  SetActiveWindow(#MainWindow)
EndProcedure


Procedure.s GetTestCode()
  a = GetGadgetState(#CodeTesterList)
  If a > -1     ; if -1 then is nothing selected
    a$ = files(a+1)
  Else
    a$ = ""
  EndIf
  ProcedureReturn a$
EndProcedure


Procedure.l CheckCompiler()
  Scan_PBCompile$ = GetPathPart(prefs$(1))+"Compilers\Pbcompiler.exe"   ; we get our path to the PB compiler
  If MFileExists(Scan_PBCompile$) = #False
    a$ = Language$(179)  +Chr(10)             ; couldn't found the PB compiler under following path:
    a$ + Scan_PBCompile$ +Chr(10)+Chr(10)     ; path of PB compiler
    a$ + Language$(180)  +Chr(10)             ; Please be aware, that the path is detected in 
    a$ + Language$(181)                       ; dependancy of the PB editor path set in options
    MessageRequester(Language$(74),a$,#MB_ICONWARNING)
    ProcedureReturn #False
  Else
    ProcedureReturn #True
  EndIf
EndProcedure


Procedure.l TestOneCode(file$)
  If CheckCompiler() = #False
    ProcedureReturn #False
  Else
    result$ = ProbeFile(file$)
    If result$ = "ok"    ; code compiled fine
      a$ = Language$(177)    ; OK
      b$ = ""                ; No error message
    Else   ; there was an error in source
      a$ = Language$(178)    ; Error
      b$ = result$           ; error message
    EndIf
    a = GetGadgetState(#CodeTesterList)
    SetGadgetItemText(#CodeTesterList,a,a$,1)    ; set 2nd column  (Test result)
    SetGadgetItemText(#CodeTesterList,a,b$,2)    ; set 3rd column  (Error message)
    SetActiveGadget(#CodeTesterList)
  EndIf
EndProcedure


Procedure.l TestAllCodes(cont)
  ; 'cont' determines, if a former code testing was canceled. so we are able to continue...
  ; cont = -1    all codes must be checked
  ; cont > 0     continue test compiling with this code
  If CheckCompiler() = #False
    ProcedureReturn #False
  Else
    ; We try to "flush" all events here, which are still in the mainwin queue...
    ;While WindowEvent() : Wend
    
    
    Listbox.l = GadgetID(#CodeTesterList)
    
    If cont = -1   ; we start again with first code for testing
      a = 1     ; the codes registered in files() array are beginning with index number 1, so files(1) is the first code!
    Else
      a = cont
      If a < 1 : a = 1 : EndIf
    EndIf
    
    quit = #False
    Repeat 
      codetester_ev.l = WindowEvent()

      ;GetAsyncKeyState_(#VK_ESCAPE)  ; clear keyboard buffer
      If GetAsyncKeyState_(#VK_ESCAPE)=-32767 
        If MessageRequester(language$(234), language$(235), #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes  ; Really quit the code check?
          quit = #True
          Break
        EndIf
      EndIf

      ; didn't work anymore with PB v4 and/or the callback procedure in the main code      
      ;If codetester_ev = #PB_Event_Menu And EventMenu() = #CodeTesterExit
      ;  Debug "Esc pressed..."
      ;  quit = #True
      ;Else
      
        SendMessage_(Listbox,#LVM_ENSUREVISIBLE,a-1,#True) 
        ;While WindowEvent() : Wend

        Debug "Code: " + Str(a) + " ---- Row: " + Str(a-1)
        Debug files(a)

        result$ = ProbeFile(files(a))
        If result$ = "ok"    ; code compiled fine
          a$ = Language$(177)    ; OK
          b$ = ""                ; No error message
        Else   ; there was an error in source
          a$ = Language$(178)    ; Error
          b$ = result$           ; error message
        EndIf
        
        
        SetGadgetItemText(#CodeTesterList,a-1,a$,1)    ; set 2nd column  (Test result)
        SetGadgetItemText(#CodeTesterList,a-1,b$,2)    ; set 3rd column  (Error message)
        SetGadgetItemState(#CodeTesterList,a-1,#PB_ListIcon_Selected) 
  
        ; Refresh ListIcon gadget...
        InvalidateRect_(ListBox,0,1) 
        UpdateWindow_(ListBox)
            ; RefreshGadget(#CodeTesterList)  can't be used because of the additional While WindowEvent() : Wend
        
        Delay(10)
      ;EndIf
      a + 1
    Until quit = #True Or a > files
    
    If quit = #True And a < files
      a$ = Language$(183) + Chr(10)+Chr(10)
      a$ + Language$(184) + Chr(10)
      a$ + "<"+Language$(185)+" "+Str(a-1)+"> "+GetFilePart(files(a-1))
      MessageRequester(Language$(86),a$,#MB_ICONINFORMATION)
      SetGadgetText(#CodeTesterAll,Language$(182))   ; rename Button to 'Continue testing...'
      ProcedureReturn a-1
    EndIf
  EndIf  
  SetActiveGadget(#CodeTesterList)
  ;While WindowEvent() : Wend    ; to avoid too fast closing of the window when pressing the ESC key several times...
EndProcedure
; IDE Options = PureBasic 4.40 Beta 2 (Windows - x86)
; CursorPosition = 282
; FirstLine = 235
; Folding = --
; UseMainFile = CodeArchivViewer_Main.pb