; Tool for the CodeArchivViewer to create a Data set
; of the original PB functions.
; Taken from the file "PBFunctionListing.txt" in the Compilers directory,
; which must previously be splitted from the other data like function description

; Written and CopyRight 10th July 2004 by Andr Beer

; Update: 05-Nov-2004
;         the "" in the .csv file must be unchanged, they will directly used in code
;         (it doesn't attach another pair of "" anymore)
; Update: 28-Dec-2006
;         updated the source to PB v4 syntax (converter itself and also the output)

If ReadFile(0,"PBFunctionListing.csv")
  count = Val(ReadString(0))
  Dim PBFunctions.s(count)
  For a=1 To count
    PBFunctions(a) = ReadString(0)
  Next
  CloseFile(0)
  If CreateFile(0,"CodeArchivViewer_PBFunctions.pb")
    WriteStringN(0, "#NbPBFunctions = "+Str(count))
    WriteStringN(0, "Global Dim PBFunctions.s(#NbPBFunctions)")
    WriteStringN(0, "Global Dim PBFunctionsHT.l(255)")
    WriteStringN(0, "")
    WriteStringN(0, "Restore PBFunctionKeywords")
    WriteStringN(0, "For k=1 To #NbPBFunctions")
    WriteStringN(0, "  Read PBFunctions.s(k)")
    WriteStringN(0, "  Char = Asc(LCase(PBFunctions(k)))")
    WriteStringN(0, "  If Char <> CurrentChar")
    WriteStringN(0, "    PBFunctionsHT(Char) = k")
    WriteStringN(0, "    CurrentChar = Char")
    WriteStringN(0, "  EndIf")
    WriteStringN(0, "Next")
    WriteStringN(0, "")
    WriteStringN(0, "DataSection")
    WriteStringN(0, "  ;- Keywords - PB Functions")
    WriteStringN(0, "  PBFunctionKeywords:")
    For a=1 To count
      ;WriteStringN("    Data$ "+Chr(34)+PBFunctions(a)+Chr(34))      ; original version of 10-07-2004
      WriteStringN(0, "    Data$ "+PBFunctions(a))    
    Next  
    WriteStringN(0, "EndDataSection")
    CloseFile(0)
  EndIf
EndIf


; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 12
; Folding = -