Structure dir
  english$
  german$
  french$
EndStructure

Global NewList trdirs.dir()    ; list for directory name translations
Global NewList trfiles.dir()   ; list for file name translations

;Debug "Dirs.csv"

;- ReadDirNames
If ReadFile(0, prefspath$+"Dirs.csv")     ; load german/french directory translations
  While Eof(0) = 0
    a$ = ReadString(0)
    AddElement(trdirs())
    trdirs()\english$ = StringField(a$,1,";")
    trdirs()\german$  = StringField(a$,2,";")
    trdirs()\french$  = StringField(a$,3,";")
  Wend
  CloseFile(0)
; Else
;   MessageRequester("Error",prefspath$+"Dirs.csv")
EndIf


;Debug "Files.csv"

;- ReadFileNames
If ReadFile(0, prefspath$+"Files.csv")    ; load german/french file name translations
  While Eof(0) = 0
    a$ = ReadString(0)
    AddElement(trfiles())
    trfiles()\english$ = StringField(a$,1,";")
    trfiles()\german$  = StringField(a$,2,";")
    trfiles()\french$  = StringField(a$,3,";")
  Wend
  CloseFile(0)
; Else
;   MessageRequester("Error",prefspath$+"Files.csv")
EndIf

;Debug "Translations finished."


; ResetList(trfiles())
; While NextElement(trfiles())
;   Debug trfiles()\german$ + " - " + trfiles()\french$
; Wend

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 7
; Folding = -
; UseMainFile = C:\Programming\PureBasic_CDROM\CAV\CodeArchivViewer_Main.pb