
#locstrings = 235
Global Dim Language$(#locstrings)


;- EXPORT LOCALE FILES
#extract = #False

CompilerIf #extract = #True
  ; Export english locale file
  Restore EnglishLanguage
  If CreateFile(0, "English.catalog")
    WriteStringN(0, "CAV - Catalog File v1.1")
    WriteStringN(0, "Author: Andr Beer")
    WriteStringN(0, "--------------------------------------------------------------")
    For a=0 To #locstrings
      Read a$
      WriteStringN(0, a$)
    Next
    CloseFile(0)
  EndIf

  ; Export french locale file
  Restore FrenchLanguage
  If CreateFile(0, "French.catalog")
    WriteStringN(0, "CAV - Catalog File v1.1")
    WriteStringN(0, "Author: Benjamin Pecek / Droopy / Philippe 'gnozal' Guntz")
    WriteStringN(0, "--------------------------------------------------------------")
    For a=0 To #locstrings
      Read a$
      WriteStringN(0, a$)
    Next
    CloseFile(0)
  EndIf
  
  ; Export BaseLanguage locale file  (english)
  Restore EnglishLanguage
  If CreateFile(0, "BaseLanguage.catalog")
    WriteStringN(0, "CAV - Catalog File v1.1")
    WriteStringN(0, "Author: write your name here")
    WriteStringN(0, "--------------------------------------------------------------")
    For a=0 To #locstrings
      Read a$
      WriteStringN(0, a$)
    Next
    CloseFile(0)
  EndIf
CompilerEndIf

; For extracting to BaseLanguage.catalog file
; Restore EnglishLanguage
; For a=0 To #locstrings
;   Read a$
;   Debug a$
; Next

DataSection
;- German
BaseLanguage: 
  Data$ "C.A.V. - der CodeArchivViewer"                    ; 0
  Data$ "Anzahl verfgbarer Beispielcodes:"
  Data$ "Suche nach"
  Data$ "Quelle:"
  Data$ "Autor:"
  Data$ "Datum:"
  Data$ "Volltext:"
  Data$ "Setzt alle Eingaben zu Suchbegriffen auf leer bzw. 'Alle' zurck."
  Data$ "Suche starten"
  Data$ "Suchergebnisse"
  Data$ "Code anzeigen"                               ; 10
  Data$ "Forum-Thread anzeigen"
  Data$ "Editor aufrufen"
  Data$ "Alle"
  Data$ "Englisches Forum"
  Data$ "Deutsches Forum"
  Data$ "Sonstige"
  Data$ "Januar"
  Data$ "Februar"
  Data$ "Mrz"
  Data$ "April"                                          ; 20
  Data$ "Mai"
  Data$ "Juni"
  Data$ "Juli"
  Data$ "August"
  Data$ "September"
  Data$ "Oktober"
  Data$ "November"
  Data$ "Dezember"
  Data$ "Suche zurcksetzen"
  Data$ "Whle Keyword zum Suchen:"                            ; 30
  Data$ "PB-Schlsselwort"
  Data$ "PB-Funktion"
  Data$ "ASM-Befehl"
  Data$ "Abbruch"
  Data$ "Volltextsuche mit einzelnen oder mittels +/- verknpften Wrtern oder kompletten Phrasen in Anfhrungszeichen."
  Data$ "Hiermit knnen Sie ein kleines Fenster ffnen, dass Ihnen die Auswahl von PB-Schlsselwrtern, PB-Befehlen und ASM-Befehlen ermglicht."
  Data$ "CodeArchivViewer wird initialisiert..."
  Data$ "CodeArchiv wird gescannt..."
  Data$ "Quelle, Autor und Datum werden ermittelt..."
  Data$ "PureBasic- und ASM-Schlsselwrter werden geladen..."    ; 40
  Data$ "PureBasic-Befehle werden geladen..."
  Data$ "Hauptfenster wird initialisiert..."
  Data$ "Whle Autor zum Suchen:"
  Data$ "Autor"
  Data$ "Projekt"
  Data$ "Beenden"
  Data$ "Optionen"
  Data$ "Einstellungen"
  Data$ "Hilfe"
  Data$ "ber"                                           ; 50
  Data$ "ber C.A.V. - das CodeArchivViewer-Tool..."
  Data$ "Geschrieben von"   ; + Andre Beer / PureBasic-Team 
  Data$ " und"              ; + (C)opyRight 2004
  Data$ "Version: v1.2 / Oktober 2009"
  Data$ "Prsentiert von www.PureArea.net"
  Data$ "Email"
  Data$ "Alle Rechte reserviert."
  Data$ "Inhalt des CodeArchiv's"
  Data$ "Name"
  Data$ "Beschreibung"                                    ; 60
  Data$ "OS"
  Data$ "Demo"
  Data$ "CodeArchiv komplett anzeigen"
  Data$ "Einstellungen"
  Data$ "bersetzung der Verzeichnis-Namen anzeigen"                                          ; *** changed ****
  Data$ "Beschreibung der Sourcecodes anzeigen"         ; will be used both for               ; *** changed ****
  Data$ "Original PureBasic-IDE verwenden und Pfad einstellen:"                               ; *** changed ****
  Data$ "Einstellungsfenster wird initialisiert..."
  Data$ "Speichern"
  Data$ "Benutzen"                                       ; 70  
  Data$ "Abbrechen"
  Data$ "Bitte whlen Sie Ihren gewnschten Editor"                                           ; **** changed ****
  Data$ "Programmsprache"
  Data$ "Fehler"
  Data$ "Sprachen-Datei"
  Data$ " konnte nicht geladen werden!"
  Data$ "Position des Hauptfensters speichern"
  Data$ "Verzeichnisbaum zusammenklappen"
  Data$ "Verzeichnis"
  Data$ "Alle Programmeinstellungen am Programmende automatisch speichern"         ; 80
  Data$ "Verzeichnisbaum"
  Data$ "Eingabe Suchbegriffe / Suchergebnisse"
  Data$ "Nach OS (Betriebssystem-Kompatibilitt) suchen und anzeigen"
  Data$ "Demo-Tauglichkeit berprfen und anzeigen"
  Data$ "Die Suche luft..."
  Data$ "Hinweis"
  Data$ "Es wurden keine passenden Codes gefunden."
  Data$ "Danke und viele Gre an folgende PureBasic-Coder:"
  Data$ "Prsentiert von"
  Data$ "Leider gibt es fr diesen Code keinen Forum-Link."           ; 90
  Data$ "Strg"     ; => in english "Ctrl"
  Data$ "Zurck"
  Data$ "Top10 Autoren"
  Data$ "Top20 Autoren"
  Data$ "Top50 Autoren"
  Data$ "Platz"
  Data$ "Autor"
  Data$ "Codes"
  Data$ "Codes des Autors anzeigen"
  Data$ "meinem schottischen Freund & GeoWorld-Entwickler"      ; 100     ; "my scottish friend & GeoWorld developer"
  Data$ "fr"
  Data$ "fr ihre unschtzbare Hilfe bei PureArea.net"        ; for their invaluable help at PureArea.net
  Data$ "natrlich alle anderen PB-Coder"                     ; "of course all other PB developers" 
  Data$ "Wenn Sie "                                                     ;  \
  Data$ " verwenden mchten, dann muss die Phrase jeweils von zwei "    ;   >  search error message 1   (3 strings)
  Data$ " umschlossen sein."                                            ;  /
  Data$ "Zwischen zwei "                                                ;  \
  Data$ " muss auch eine Phrase eingegeben werden."                     ;  /  search error message 2  (2 strings)
  Data$ "Innerhalb einer von "                                          ;  \
  Data$ " umschlossenen Phrase sind keine + und - erlaubt."  ;  110     ;  /  search error message 3  (2 strings)
  Data$ "+/- fr UND- bzw. NICHT-Kennzeichnung eines Suchworts sind nur unmittelbar vor dem Wort erlaubt."
  Data$ "Fehler im Volltext-Suchbegriff"
  Data$ "fr ihre Hilfe bei der Erstellung eines PB3.92+ kompatiblen CodeArchiv's"
  Data$ "Bitte whlen Sie neben einem Monat auch ein Jahr aus."
  Data$ "Bitte whlen Sie neben einem Tag auch Monat und Jahr aus."
  Data$ "Die Auswahl des Tages ist fehlerhaft, bitte korrigieren."
  Data$ "Untersttzte WinAPI Funktionen werden geladen..."
  Data$ "WinAPI Funktion"
  Data$ "Franzsisches Forum"
  Data$ "PB Konstante"                  ; 120
  Data$ "PureBasic-Konstanten werden geladen..."
  Data$ "zum nchsten Eingabefeld springen"
  Data$ "sofort die Suchfunktion starten"
  Data$ "Speichern der Einstellungen leider fehlgeschlagen."
  Data$ "Sucht nach PB-Codes, die den links eingegebenen Suchbegriffen entsprechen, und zeigt unten die Suchergebnisse an."
  Data$ "Hier kann die Quelle der PB-Codes ausgewhlt werden: 'Alle', Englisches, Deutsches oder Franzsisches Forum sowie 'Sonstige'." 
  Data$ "Hier kann der vollstndige oder teilweise Name eines gesuchten Code-Autors (muss im Beispielcode auf der 2. Zeile stehen) eingegeben werden."
  Data$ "Hiermit knnen Sie ein kleines Fenster ffnen, dass Ihnen die Auswahl aus allen in den Codes gefundenen Autor-Namen ermglicht." 
  Data$ "Hier ist die Auswahl des Tages mglich, an dem gesuchte Codes verffentlicht wurden (nur in Verbindung mit Monat/Jahr mglich)."
  Data$ "Hier ist die Auswahl eines Monats mglich, in dem gesuchte Codes verffentlicht wurden (nur in Verbindung mit Jahr mglich)."          ; 130
  Data$ "Hier ist die Auswahl eines Jahrs mglich, in dem gesuchte Codes verffentlicht wurden." 
  Data$ "In dieser bersicht werden alle Codes angezeigt, die der vorher erfolgten Auswahl bzw. Sucheinstellungen entsprechen." 
  Data$ "Hier wird der vorher ausgewhlte Code angezeigt." 
  Data$ "Hier werden alle im CodeArchiv enthaltenen Codes in einer nach Thema sortierten Baumstruktur angezeigt." 
  Data$ "Zeigt einen links ausgewhlten Code komplett an." 
  Data$ "Ruft fr den ausgewhlten Code den entsprechenden Thread im Forum auf, sofern eine korrekte URL im Code hinterlegt wurde." 
  Data$ "Ldt einen links ausgewhlten Code in den eingestellten Editor." 
  Data$ "Ruft wieder die bersicht aller Codes in der thematisch sortierten Baumstruktur an." 
  Data$ "Klappt die links angezeigten Codes wieder zur ursprnglichen Baumstruktur zusammen." 
  Data$ "ffnet die PureBasic Support- und Bestellseite www.PureArea.net im Internet-Browser."          ; 140
  Data$ "Kehrt von der Anzeige des komplettes Codes zur vorherigen Auswahl zurck."     ; 'Back' button when a code is displayed in EditorGadget
  Data$ "Keine Tooltipps fr Verzeichnisbaum,Suchergebnisse + Codeanzeige"    ; ***** CHANGED ****
  Data$ "Lokalisierungs-Datei"  ; 'French', 'Spanish', etc.
  Data$ "erstellt von"          ; Author name
  Data$ "Mehr Informationen"
  Data$ "Weitere Informationen ber die aktuelle C.A.V.-Version" 
  Data$ "Suchbegriffe optimiert fr PureBasic"   ; v3.92
  Data$ "Anzahl aktuell bekannter Suchbegriffe:"
  Data$ "PB-Schlsselwrter"
  Data$ "PB-Funktionen/Befehle"           ; 150
  Data$ "InlineASM-Befehle"
  Data$ "PB-Konstanten"
  Data$ "WinAPI-Funktionen"
  Data$ "Autoren von PB-Codes"
  Data$ "Beenden von C.A.V."
  Data$ "Aktuelle Einstellungen/Suchbegriffe speichern?"
  Data$ "... vor dem Speichern nachfragen"
  Data$ "Return im Eingabefeld der Volltext-Suche:"
  Data$ "Allgemein"
  Data$ "Funktionsweise"                ; 160
  Data$ "Windows"
  Data$ "Verknpfungen fr C.A.V. erstellen"
  Data$ "auf Desktop"
  Data$ "in Schnellstartleiste"     ; Quicklunch     (** Locale changed!!!)
  Data$ "ToolTipps fr Bedienelemente im Hauptfenster anzeigen"
  Data$ "ToolTipps"
  Data$ "Benutzer"     ; "Benutzer" is german name to get the actual Windows user name, in english maybe "user", in other languages?
  Data$ "Bevorzugten Editor einstellen"
  Data$ "Alternativen Editor (z.B. jaPBe) verwenden und Pfad einstellen:"
  Data$ "Code-Tester mit Ihrem PB-Compiler"          ; 170
  Data$ "Code"
  Data$ "Test"
  Data$ "Bemerkung"
  Data$ "Ausgewhlten Code testen"
  Data$ "Alle Codes testen"
  Data$ "Editor aufrufen"
  Data$ "OK"
  Data$ "Fehler"
  Data$ "Konnte den PBCompiler unter folgendem Pfad nicht finden:"
  Data$ "Bitte beachten, dass dieser Pfad in Abhngigkeit vom Pfad des"           ; \             ; 180
  Data$ "originalen PureBasic-Editors (siehe Einstellungen) ermittelt wird."      ; /
  Data$ "Code-Test fortsetzen"
  Data$ "Der Compiler-Test wurde abgebrochen."
  Data$ "Letzter compilierter Code:"
  Data$ "Nr."
  Data$ "Konnte den Editor unter folgendem Pfad nicht finden:"
  Data$ "Dieser Pfad wird in den Einstellungen festgelegt."
  Data$ "Code-Anzeige"
  Data$ "Syntax-Highlighting verwenden"
  Data$ "Syntax-Highlighting"       ; 190
  Data$ "Konstanten"
  Data$ "Auf Standardfarben zurcksetzen"
  Data$ "Hintergrundfarbe der Codeanzeige festlegen"
  Data$ "Hintergrundfarbe"
  Data$ "Kommentare"
  Data$ "Mit 'Alle Codes testen' erst bei ausgewhltem Code beginnen"
  Data$ "Kompilierten Code auch starten"
  Data$ "Die temporre Exe-Datei konnte nicht gefunden werden:"
  Data$ "Normale Textfarbe"
  Data$ "Desktop-Verknpfung erfolgreich erstellt."                         ; 200
  Data$ "Erstellen der Desktop-Verknpfung leider fehlgeschlagen."
  Data$ "Verknpfung in der Schnellstartleiste erfolgreich erstellt."
  Data$ "Erstellen der Verknpfung in der Schnellstartleiste leider fehlgeschlagen."   
  Data$ "Debugger beim Code-Test einschalten"
  Data$ "Beim Testcode starten:"
  Data$ "Auf das Ende warten"
  Data$ "Nicht warten"
  Data$ "Ja"
  Data$ "Nein"
  Data$ "Doppelklick fr Aktivieren von C.A.V."            ; 210
  Data$ "Vor"
  Data$ "Nach"
  Data$ "Zuletzt kompiliert:" 
  Data$ "Untersttzung fr InlineASM beim Code-Test"
  Data$ "Exakt"
  Data$ "Vorher"
  Data$ "Nachher"
  Data$ "Hier wird eingestellt, ob die zu findenden Codes [exakt] der Datumsauswahl entsprechen sollen bzw. [vorher] oder [nachher] gepostet wurden."
  Data$ "Konnte die Online-Hilfe [CAV.chm] nicht ffnen!"
  Data$ "Farbe fr Suchbegriffe"            ; 220
  Data$ "BubbleHelp anstelle normalen ToolTipps verwenden"
  Data$ "Windows spezial"
  Data$ "fr ihre Hilfe bei der Konvertierung des CodeArchivs auf PB v4"
  Data$ "Auch in Dateinamen der Codes bei der Volltextsuche suchen"
  Data$ "Nur Demo-kompatible Codes anzeigen"
  Data$ "davon Demo-kompatible Codes:"
  Data$ "demo-kompatibel:"
  Data$ "Forum-Links"
  Data$ "Links zu PureBasic-Foren"
  Data$ "Englisches Forum"                 ; 230
  Data$ "Deutsches Forum"
  Data$ "Franzsisches Forum"
  Data$ "PureBasic-Lounge.de"
  Data$ "Frage"
  Data$ "Code-berprfung wirklich abbrechen?"
  
;- English  
EnglishLanguage:
  Data$ "C.A.V. - the CodeArchiveViewer"                    ; 0
  Data$ "Number of example codes available:"
  Data$ "Search for"
  Data$ "Source:"
  Data$ "Author:"
  Data$ "Date:"
  Data$ "Fulltext:"
  Data$ "Reset all search terms to empty or 'All' fields."
  Data$ "Start Search"
  Data$ "Search results"
  Data$ "Show code"                               ; 10
  Data$ "Show forum thread"
  Data$ "Show code in editor"
  Data$ "All"
  Data$ "English forum"
  Data$ "German forum"
  Data$ "Other"
  Data$ "January"
  Data$ "February"
  Data$ "March"
  Data$ "April"                                          ; 20
  Data$ "May"
  Data$ "June"
  Data$ "July"
  Data$ "August"
  Data$ "September"
  Data$ "October"
  Data$ "November"
  Data$ "December"
  Data$ "Reset search"
  Data$ "Choose keyword for searching:"                            ; 30
  Data$ "PB keyword"
  Data$ "PB function"
  Data$ "ASM command"
  Data$ "Cancel"
  Data$ "Fulltext search with single words, combined with +/- or complete quote-enclosed phrases."
  Data$ "Hereby you can open a small window, where you can easily select PB keywords, PB commands and ASM commands."
  Data$ "CodeArchiveViewer is initialized..."     
  Data$ "CodeArchive will be scanned..."
  Data$ "Source, author and date will be detected..."
  Data$ "PureBasic and ASM keywords will be loaded..."    ; 40
  Data$ "PureBasic commands will be loaded..."
  Data$ "Main window will be initialized..."
  Data$ "Choose author for searching:"
  Data$ "Author"
  Data$ "Project"
  Data$ "Exit"
  Data$ "Options"
  Data$ "Preferences"
  Data$ "Help"
  Data$ "About"                                           ; 50
  Data$ "About C.A.V. - the CodeArchiveViewer tool..."
  Data$ "Written by"   ; + Andre Beer / PureBasic-Team 
  Data$ " and"              ; + (C)opyRight 2004
  Data$ "Version: v1.2 / October 2009"
  Data$ "Presented by www.PureArea.net"
  Data$ "e-mail"
  Data$ "All Rights reserved."
  Data$ "Contents of the CodeArchive"
  Data$ "Name"
  Data$ "Description"                                    ; 60
  Data$ "OS"
  Data$ "Demo"
  Data$ "Show complete CodeArchive"
  Data$ "Preferences"
  Data$ "Show translation of the directory names"                            ; will have no effect in english version, only available for german + french
  Data$ "Show description of the sources"         ; will be used both for    ; will have no effect in english version, only available for german
  Data$ "Use original PureBasic IDE and set path:"
  Data$ "Preferences windows will be initialized..."
  Data$ "Save"
  Data$ "Use"                                       ; 70  
  Data$ "Cancel"
  Data$ "Please choose your prefered PB editor"
  Data$ "Program language"
  Data$ "Error"
  Data$ "Language file"
  Data$ " couldn't be loaded!"
  Data$ "Save position of the main window"
  Data$ "Collapse directory tree"
  Data$ "Directory"
  Data$ "Save all program options automatically at program end"         ; 80
  Data$ "Directory tree"
  Data$ "Input of search terms / Search results"
  Data$ "Search for OS (compatibility for Operating System) and show results"
  Data$ "Check for Demo suitability and show result"
  Data$ "Searching in progress..."
  Data$ "Note"
  Data$ "Couldn't found any matching codes."
  Data$ "Thanks and greetings to following PureBasic coders:"
  Data$ "Presented by"
  Data$ "Sorry, there isn't a forum link available for this code."           ; 90
  Data$ "Ctrl"     ; => in english "Ctrl"
  Data$ "Back"
  Data$ "Top10 Authors"
  Data$ "Top20 Authors"
  Data$ "Top50 Authors"
  Data$ "Place"
  Data$ "Author"
  Data$ "Codes"
  Data$ "Show codes of the author"
  Data$ "my scottish friend & GeoWorld developer"      ; 100    ; "my scottish friend & GeoWorld developer"
  Data$ "for"
  Data$ "for their invaluable help at PureArea.net"             ; for their invaluable help at PureArea.net
  Data$ "of course all other PB developers"                     ; "of course all other PB developers" 
  Data$ "If you want to use "                                   ;  \
  Data$ ", then the phrase must be enclosed by two "            ;   >  search error message 1   (3 strings)
  Data$ "."                                                     ;  /
  Data$ "Between two "                                          ;  \
  Data$ " there must be entered a phrase."                      ;  /  search error message 2  (2 strings)
  Data$ "Within a phrase enclosed by "                          ;  \
  Data$ " aren't allowed any + and -."               ;  110     ;  /  search error message 3  (2 strings)
  Data$ "+/- for AND or NOT identification of a search term are only allowed immediately in front of the searchterm."
  Data$ "Error in fulltext searchterm"
  Data$ "for their help to create a PB3.92+ compatible CodeArchiv"
  Data$ "Please choose a year beside a month."
  Data$ "Please choose month and year beside a day."
  Data$ "The selection of the day has an error, please correct it."
  Data$ "Supported WinAPI functions will be loaded..."
  Data$ "WinAPI function"
  Data$ "French forum"
  Data$ "PB constant"                                 ;  120
  Data$ "PureBasic constants will be loaded..."
  Data$ "jump to the next input field"
  Data$ "immediately start the search function"
  Data$ "Sorry, saving of the preferences failed."
  Data$ "Searches for PB codes, which correspond to the given search terms on the left, and will display the search results."
  Data$ "Choose the source of the PB codes: 'All', english, german of french forum as well 'Other'." 
  Data$ "Here the complete or partial name of the author (must be saved on 2nd line of the example code) can be entered."
  Data$ "Opens a small window, which allows you to choose from all author names found in the codes." 
  Data$ "Choose the day on which wanted codes were released (only possible in combination with month/year)."
  Data$ "Choose the month in which wanted codes were released (only possible in combination with year)."          ; 130
  Data$ "Choose the year in which wanted codes were released."
  Data$ "In this overview all codes are displayed, which correspond to the selection or search settings done before." 
  Data$ "Here will be displayed the code choosen before." 
  Data$ "Here all codes, which are included in the CodeArchive, will be displayed in a tree structure sorted by topic." 
  Data$ "Display the full code choosen on the left side." 
  Data$ "Opens the forum thread for the selected code, if a correct URL was included in the source." 
  Data$ "Load the selected code on the left into the set editor." 
  Data$ "Calls again the overview of all codes in the tree structure sorted by topic." 
  Data$ "Collapse all codes showed on the left to the initial tree structure." 
  Data$ "Opens the PureBasic support and order site www.PureArea.net in your internet browser."          ; 140
  Data$ "Return from the full code display to the former selection."     ; 'Back' button when a code is displayed in EditorGadget
  Data$ "No tooltips for tree, search results and code display"    ; ***** CHANGED ****
  Data$ "Locale file"  ; 'French', 'Spanish', etc.
  Data$ "created by"          ; Author name
  Data$ "More Informations"
  Data$ "More informations about the current C.A.V. version" 
  Data$ "Search terms optimized for PureBasic"   ; v3.92
  Data$ "Number of currently known search terms:"
  Data$ "PB keywords"
  Data$ "PB functions/commands"           ; 150
  Data$ "InlineASM commands"
  Data$ "PB constants"
  Data$ "WinAPI functions"
  Data$ "Authors of PB codes"
  Data$ "Exiting C.A.V."
  Data$ "Save current settings/search terms?"
  Data$ "... ask before saving"
  Data$ "Return in input field of fulltext search:"
  Data$ "General"
  Data$ "Operation"                ; 160
  Data$ "Windows"
  Data$ "Create shortcuts for C.A.V."
  Data$ "on Desktop"
  Data$ "in QuickLaunch"     ; Quicklunch     (** Locale changed!!!)
  Data$ "Show tooltips for controls in main window"
  Data$ "ToolTips"
  Data$ "User"     ; "Benutzer" is german name to get the actual Windows user name, in english maybe "user", in other languages?
  Data$ "Set prefered editor"
  Data$ "Use alternate editor (e.g. jaPBe) and set path:"
  Data$ "Code tester with your PB compiler"          ; 170
  Data$ "Code"
  Data$ "Test"
  Data$ "Remark"
  Data$ "Test selected code"
  Data$ "Test all codes"
  Data$ "Call editor"
  Data$ "OK"
  Data$ "Error"
  Data$ "Couldn't found the PB compiler at following path:"
  Data$ "Please be aware, that this path is determined from the path"           ; \             ; 180
  Data$ "of the original PureBasic editor (see at preferences)."                ; /
  Data$ "Continure Code test"
  Data$ "The compiler test was canceled."
  Data$ "Last compiled code:"
  Data$ "No."
  Data$ "Couldn't found the editor at following path:"
  Data$ "This path will be set in the preferences."
  Data$ "Code viewer"
  Data$ "Use syntax-highlighting"
  Data$ "Syntax-Highlighting"       ; 190
  Data$ "Constants"
  Data$ "Set back to standard colors"
  Data$ "Set background color of the code viewer"
  Data$ "BackgroundColor"
  Data$ "Comments"
  Data$ "Start with 'Test all codes' from selected code"
  Data$ "Run the compiled code (programm flow will be hold)"
  Data$ "The temporary exe-file couldn't be found:"
  Data$ "Normal text color"
  Data$ "Desktop shortcut sucessfully created."                         ; 200
  Data$ "Creating of the desktop shortcut failed."
  Data$ "Shortcut in the quicklaunch sucessfully created."
  Data$ "Creating of the shortcut in quicklaunch failed."   
  Data$ "Run debugger while code-testing"
  Data$ "When test-code gets started:"
  Data$ "Wait until end"
  Data$ "Don't wait"
  Data$ "Yes"
  Data$ "No"
  Data$ "Double click for activating C.A.V."            ; 210
  Data$ "Before"
  Data$ "After"
  Data$ "Last built:" 
  Data$ "Support for InlineASM while code-testing"
  Data$ "Exactly"
  Data$ "Before"
  Data$ "After"
  Data$ "Here will be adjusted, if the codes to find should [exactly] match the selected date or were posted [before] or [after] that date."
  Data$ "Couldn't open the online-help [CAV.chm] !"
  Data$ "Color for search terms"            ; 220
  Data$ "Use BubbleHelp instead of normal ToolTips"
  Data$ "Windows special"
  Data$ "for their help while converting the CodeArchiv to PB v4"
  Data$ "Also search in the code filenames at fulltext-search"
  Data$ "Show only Demo compatible codes"
  Data$ "Demo-compatible codes of them:"
  Data$ "demo-compatible:"
  Data$ "Forum links"
  Data$ "Links to PureBasic forums"
  Data$ "English forum"
  Data$ "German forum"
  Data$ "French forum"
  Data$ "PureBasic-Lounge.de"
  Data$ "Question"
  Data$ "Really quit the code check?"
  
;- French
FrenchLanguage:
  Data$ "C.A.V. - le CodeArchivViewer"                    ; 0
  Data$ "Nombre de codes exemples:"
  Data$ "Chercher"
  Data$ "Source:"
  Data$ "Auteur:"
  Data$ "Date:"
  Data$ "Plein-texte:"
  Data$ "Efface toutes les donnes pour la recherche."
  Data$ "Faire une recherche"
  Data$ "Rsultats de la recherche"
  Data$ "Montrer le code"                               ; 10
  Data$ "Montrer le sujet de forum"
  Data$ "Lancer lditeur"
  Data$ "Tout"
  Data$ "Forum anglais"
  Data$ "Forum allemand"
  Data$ "autres"
  Data$ "Janvier"
  Data$ "Fvrier"
  Data$ "Mars"
  Data$ "Avril"                                          ; 20
  Data$ "Mai"
  Data$ "Juin"
  Data$ "Juillet"
  Data$ "Aot"
  Data$ "Sptembre"
  Data$ "Octobre"
  Data$ "Novembre"
  Data$ "Dcembre"
  Data$ "ffacer la recherche"
  Data$ "Choisis un mot-clef:"                            ; 30
  Data$ "Mot-clef PB"
  Data$ "Fonction PB"
  Data$ "Commande ASM"
  Data$ "Annuler"
  Data$ "Recherche plein-texte avec un ou plusieur mots en utilisant +/- (inclure/exclure) et des guillemets pour des phrase entires."
  Data$ "Avec ceci vous pouvez ouvrir une petite fentre, pour faire un choix dans les mots-clef PB, les commandes PB et les commandes ASM."
  Data$ "Installation du CodeArchivViewer..."
  Data$ "Chargement du CodeArchiv ..." ;
  Data$ "Recherche de la Source, auteur et date..." ; 
  Data$ "Chargement des mots-clef de PureBasic et ASM..."   ;PureBasic- und ASM-Schlsselwrter werden geladen..."    ; 40
  Data$ "Chargement des commandes PureBasic..."
  Data$ "Rglages de la fentre principale..."
  Data$ "Choisis un auteur pour la recherche:";
  Data$ "Auteur"
  Data$ "Projet"
  Data$ "Terminer"
  Data$ "Options"
  Data$ "Rglages"
  Data$ "Aide"
  Data$ "Sur"                                           ; 50
  Data$ "Sur C.A.V. - loutil CodeArchivViewer..."
  Data$ "crit par"   ; + Andre Beer / PureBasic-Team 
  Data$ " et"              ; + (C)opyRight 2004
  Data$ "Version: v1.1 / Mai 2007"      ; (French months: Janvier, Fvrier, Mars, Avril, Mai, Juin, Juillet, Aot, Septembre, Octobre, Novembre, Dcembre)
  Data$ "Prsent par www.PureArea.net"
  Data$ "Email"
  Data$ "Tous droits rservs"
  Data$ "Contenu du CodeArchiv"
  Data$ "Nom"
  Data$ "Description"                                    ; 60
  Data$ "OS"
  Data$ "Dmo"
  Data$ "Montrer tout le CodeArchiv"
  Data$ "Rglages"
  Data$ "Afficher la traduction des noms de rpertoires"   ; new by gnozal
  Data$ "Montrer la description allemande du code"    ; new by gnozal
  Data$ "Utiliser lIDE PureBasic original et changer le chemin daccs:"  ; new by gnozal
  Data$ "La fentre pour les rglages en initialisation...";Einstellungsfenster wird initialisiert..."
  Data$ "Sauver"
  Data$ "Utiliser"                                       ; 70  
  Data$ "Annuler"
  Data$ "Choisissez votre diteur PureBasic prfr"   ;	 new by gnozal
  Data$ "Language de Programmation"
  Data$ "Erreur"
  Data$ "Fichier langage";Sprachen-Datei"
  Data$ " ne pouvait pas tre charg!"
  Data$ "Sauver la position de la fentre principale";Position des Hauptfensters speichern"
  Data$ "Fermer larbre des registres";Verzeichnisbaum zusammenklappen"
  Data$ "Registre"
  Data$ "Sauver tous les rglages  la fin du programme";Alle Programmeinstellungen am Programmende automatisch speichern"         ; 80
  Data$ "Arbre des registres"
  Data$ "Entrer des donnes de recherche / rsultats";Eingabe Suchbegriffe / Suchergebnisse"
  Data$ "Chercher et montrer par OS (compatibilit du systme dexploitation)" ;";Nach OS (Betriebssystem-Kompatibilitt) suchen und anzeigen"
  Data$ "Examiner la capacit de demonstration et montrer";Demo-Tauglichkeit berprfen und anzeigen"
  Data$ "Recherche en cours...";Die Suche luft..."
  Data$ "Indication"
  Data$ "Aucun code exemple trouv";Es wurden keine passenden Codes gefunden."
  Data$ "Merci et salutations aux codeurs PureBasic suivants:";Danke und viele Gre an folgende PureBasic-Coder:"
  Data$ "Prsent par"
  Data$ "Malheureusement il nexiste aucun lien-forum pour ce code.";Leider gibt es fr diesen code keinen Forum-Link."           ; 90
  Data$ "Ctrl"     ; => in english "Ctrl" ;- oh je, ich hatte noch nie ne franzsische Tasta :-/  control=contrle ... wird schon klappen :-)
  Data$ "Retour"
  Data$ "Top10 des auteurs"
  Data$ "Top20 des auteurs"
  Data$ "Top50 des auteurs"
  Data$ "Place"
  Data$ "Auteur"
  Data$ "Codes"
  Data$ "Montrer les codes de lauteur"
  Data$ "mon ami cossais et dveloppeur de GeoWorld" ;  meinem schottischen Freund & GeoWorld-Entwickler"      ; 100     ; "my scottish friend & GeoWorld developer"
  Data$ "pour"
  Data$ "leur aide instimable chez PureBasic.net";fr ihre unschtzbare Hilfe bei PureArea.net"        ; for their invaluable help at PureArea.net
  Data$ "bien-sr  tous les autres dveloppeurs PB"                     ; "of course all other PB developers" 
  Data$ "Si vous voullez untilisez "                                            ;  \
  Data$ " , votre phrase doit tre encadre de 2 "    ;   >  search error message 1   (3 strings)
  Data$ " ."                                          ;  /  andrer satzbau! verben stehen in franz. "immer" vorne, auf deutsch "immer" hinten.
  Data$ "La phrase doit tre entre entre deux "                                ;  \
  Data$ " ."                     ;    search error message 2  (2 strings)
  Data$ "Les charactres + et - ne sont pas autoriss  lintrrieur de phrase entoures par des "                                          ;  \
  Data$ " ."  ;  110     ;  /  search error message 3  (2 strings)
  Data$ "+/- pour linclusion/lexclusion sont uniquement autoriss devant le mot.";+/- fr UND- bzw. NICHT-Kennzeichnung eines Suchworts sind nur unmittelbar vor dem Wort erlaubt."
  Data$ "Faute dans la recherche plein-texte";Fehler im Volltext-Suchbegriff"
  Data$ "pour leur aide lors du dveloppement dune version du CodeArchiv compatible avec PB3.92+";fr seine Hilfe bei der Erstellung eines PB3.92 kompatiblen CodeArchiv's"
  Data$ "Choisissez aussi lanne du mois .";Bitte whlen Sie neben einem Monat auch ein Jahr aus."
  Data$ "Choisissez aussi une anne avec le jour.";Bitte whlen Sie neben einem Tag auch Monat und Jahr aus."
  Data$ "Le choix du jour comporte une erreur, veuillez corriger.";Die Auswahl des Tages ist fehlerhaft, bitte korrigieren."
  Data$ "Chargement des fonctions WinAPI soutennues..";Untersttzte WinAPI Funktionen werden geladen..."
  Data$ "Fonction WinAPI"
  Data$ "Forum francais"
  Data$ "Constante PB"                  ; 120
  Data$ "Chargement des constantes-PureBasic";PureBasic-Konstanten werden geladen..."
  Data$ "allez  la prochaine case";Return im Eingabefeld der Volltext-Suche: zum nchsten Eingabefeld springen"
  Data$ "charger directement la fonction recherche";Return im Eingabefeld der Volltext-Suche: sofort die Suchfunktion starten"
  Data$ "Sauvement des rglages a malheureusement chou.";Speichern der Einstellungen leider fehlgeschlagen."
  Data$ "Cherche des codes PB qui concordent avec les mots de la recherche, et montre les rsultats de la recherche en-dessous.";Sucht nach PB-Codes, die den links eingegebenen Suchbegriffen entsprechen, und zeigt unten die Suchergebnisse an."
  Data$ "Ici la source des codes PB peut tre choisie: 'Tout', ou forum anglais, allemand ou francais ainsi que 'autres'." ;Hier kann die Quelle der PB-Codes ausgewhlt werden: 'Alle', Englisches, Deutsches oder Franzsisches Forum sowie 'Sonstige'." 
  Data$ "Ici peut tre entr en partie ou en entier le nom de lauteur (doit tre inscrit dans la seconde ligne du code exemple).";Hier kann der vollstndige oder teilweise Name eines gesuchten code-Autors (muss im Beispielcode auf der 2. Zeile stehen) eingegeben werden."
  Data$ "Avec ceci vous pouvez ouvrir une petite fentre permettant de faire un choix dans les noms des auteurs trouvs.";Hiermit knnen Sie ein kleines Fenster ffnen, dass Ihnen die Auswahl aus allen in den Codes gefundenen Autor-Namen ermglicht." 
  Data$ "Ici le choix du jour de publication des codes cherchs peut tre fait (seulement avec mois/anne de publication).";Hier ist die Auswahl des Tages mglich, an dem gesuchte Codes verffentlicht wurden (nur in Verbindung mit Monat/Jahr mglich)."
  Data$ "Ici le choix du mois peut tre fait, auquel les codes cherchs ont t publis."   ;Hier ist die Auswahl eines Monats mglich, in dem gesuchte Codes verffentlicht wurden (nur in Verbindung mit Jahr mglich)."          ; 130
  Data$ "Ici le choix de lanne de publication des code cherch peut tre fait" ; Hier ist die Auswahl eines Jahrs mglich, in dem gesuchte Codes verffentlicht wurden." 
  Data$ "Dans cette vue densemble sont affichs tous les codes concordants avec la recherche";In dieser bersicht werden alle Codes angezeigt, die der vorher erfolgten Auswahl bzw. Sucheinstellungen entsprechen." 
  Data$ "Ici le code choisi au-paravant est affich";Hier wird der vorher ausgewhlte code angezeigt." 
  Data$ "Ici tous les codes contenu de le CodeArchiv sont affich par thmes dans une structure en arbre";Hier werden alle im CodeArchiv enthaltenen Codes in einer nach Thema sortierten Baumstruktur angezeigt." 
  Data$ "Affiche entirement un code choisi  gauche.";Zeigt einen links ausgewhlten code komplett an." 
  Data$ "Ouvre le sujet de forum correspondant au code choisi, si une addresse correcte y figure.";Ruft fr den ausgewhlten code den entsprechenden Thread im Forum auf, sofern eine korrekte URL im code hinterlegt wurde." 
  Data$ "Charge un code choisi dans lediteur configur";Ldt einen links ausgewhlten code in den eingestellten Editor." 
  Data$ "Recharge la vue densemble de tous les codes, classs par thme dans une structure en arbre";Ruft wieder die bersicht aller Codes in der thematisch sortierten Baumstruktur an." 
  Data$ "Repositionne les codes affichs  gauche  leur position initiale dans larbre.";Klappt die links angezeigten Codes wieder zur ursprnglichen Baumstruktur zusammen." 
  Data$ "Ouvre la page de soutient et de commande de PureBasic www.PureArea.net dans le navigateur Internet";ffnet die PureBasic Support- und Bestellseite www.PureArea.net im Internet-Browser."          ; 140
  Data$ "Retour du code affich  la recherche prcdente.";Kehrt von der Anzeige des komplettes Codes zur vorherigen Auswahl zurck."     ; 'Back' button when a code is displayed in EditorGadget
  Data$ "Ne pas afficher de bulles d'aide pour les rpertoires, les rsultats de recherche et laffichage de code"  ; new by gnozal
  Data$ "Fichier de localisation";Lokalisierungs-Datei"  ; 'French', 'Spanish', etc.
  Data$ "ralis par"          ; Author name
  Data$ "Plus dinformations"; Mehr Informationen"
  Data$ "Autres informations sur la version actuelle du C.A.V."; 
  Data$ "Mots-clef optims pour PureBasic";Suchbegriffe optimiert fr PureBasic" ; v3.92
  Data$ "Nombre des mots-clef connus:";Anzahl aktuell bekannter Suchbegriffe:"
  Data$ "Mot-clef PB"
  Data$ "Fonction PB/commandes"           ; 150
  Data$ "Commandes InlineASM"
  Data$ "Constante PB"
  Data$ "Fonctions WinAPI"
  Data$ "Auteurs de codes PB"
  Data$ "Terminer C.A.V."
  Data$ "Sauver les rglages/mots-clef actuels ?" ;Aktuelle Einstellungen/Suchbegriffe speichern?"
  Data$ "... demander avant de sauver"
  Data$ "Retour  la case de recherche plein-texte:";Return im Eingabefeld der Volltext-Suche:"
  Data$ "Gnral"
  Data$ "Mode de fonctionnement"                ; 160
  Data$ "Windows"
  Data$ "Crer des liens avec C.A.V.";Verknpfungen fr C.A.V. erstellen"
  Data$ "sur le bureau"
  Data$ "dans la barre  lancement rapide"     ; Quicklunch     (** Locale changed!!!)
  Data$ "Montrer les tooltipps pour les outils dutilisation dans la fentre principale ";
  Data$ "ToolTipps"
  Data$ "Utilisateur"     ; "Benutzer" is german name to get the actual Windows user name, in english maybe "user", in other languages?
  Data$ "Rglage de lditeur prfr"                 ;Bevorzugten Editor einstellen"
  Data$ "Utilisation dun diteur alternatif (p.ex. jaPBe) et rglage du chemin daccs:"
  Data$ "Test du code avec votre compilateur PB"     ;Code-Tester mit Ihrem PB-Compiler"          ; 170
  Data$ "Code"
  Data$ "Test"
  Data$ "Remarques";Bemerkung"
  Data$ "Tester le code choisit"
  Data$ "Tester tous les codes"
  Data$ "Lancer lditeur"
  Data$ "OK"
  Data$ "Erreur"
  Data$ "Le compilateur PB ne pouvait pas tre localiser dans le registre suivant:" 
  Data$ "Veuillez prter attention  ce que chemin daccs sera dtermin en dpendance du chemin daccs";      \             ; 180
  Data$ "de lediteur PureBasic original (voir rglages)."      ; /
  Data$ "Continuer le test de code"  ;Code-Test fortsetzen"
  Data$ "Le test de compilateur a t abandonn";Der Compiler-Test wurde abgebrochen."
  Data$ "Dernier code compil:";		Letzter compilierter Code:"
  Data$ "No."
  Data$ "Lditeur na pas pu tre localis dans le registre suivant:"  ;Konnte den Editor unter folgendem Pfad nicht finden:"
  Data$ "Ce chemin daccs peut tre chang dans les rglages";Dieser Pfad wird in den Einstellungen festgelegt."
  Data$ "Affichage du code"
  Data$ "Utiliser la syntaxe en couleur"; 'Syntax in Farbe' ---> ich glaube  'Farbsyntax' ist nicht falsch, und dazu krzer :-)
  Data$ "Syntaxe en couleur"       ; 190
  Data$ "Constantes"
  Data$ "Initialiser les couleurs standard";Auf Standardfarben zurcksetzen"
  Data$ "Ajuster la couleur arrire-plan de laffichage du code ";Hintergrundfarbe der Codeanzeige festlegen"
  Data$ "Couleur arrire-plan"
  Data$ "Commentaires"
  Data$ "Commencer avec 'Tester tous les codes'  partir du code choisit."
  Data$ "Lancement du code compil (lxecution du programme sera suspendu)"
  Data$ "Le fichier exe temporaire na pu tre trouv:";
  Data$ "Couleur-texte normale";Normale Textfarbe"
  Data$ "Un lien a t cr sur le bureau"                         ; 200
  Data$ "Un lien avec le bureau na pas pu tre cr."
  Data$ "Un lien a t cre avec la barre de lancement rapide."
  Data$ "Un lien avec la barre de lancement rapide na pas pu tre cr.";  
  Data$ "Activer le debugger lors du test de code";"Debugger beim Code-Test einschalten"
  Data$ "Lancer avec le code test:"      ;"Beim Testcode starten:"
  Data$ "Attendre la fin";"Auf das Ende warten"
  Data$ "Ne pas attendre"
  Data$ "Oui"
  Data$ "Non"
  Data$ "Double-clique pour activer C.A.V." 
  Data$ "Avancer"
  Data$ "Reculler"
  Data$ "Dernirement compil:" ;"Zuletzt kompiliert:" 
  Data$ "Soutient pour InlineASM lors du test de code" ;
  Data$ "Exactement" 
  Data$ "Avant" 
  Data$ "Aprs" 
  Data$ "Ici peut tre rgl, si la date de publication du code  trouver correspond [exactement]  la date choisie, ou se trouve [avant] ou [aprs].";"Hier wird eingestellt, ob die zu findenden Codes [exakt] der Datumsauswahl entsprechen sollen bzw. [vorher] oder [nachher] gepostet wurden." 
  Data$ "Ne peut pas ouvrir laide en-ligne [CAV.chm]!";
  Data$ "Couleur pour les mots cls recherchs"            ; 220  
  Data$ "Utiliser les bulles d'aide (bubble help)"
  Data$ "Special Windows"  
  Data$ "pour leur aide lors de la conversion des archives  PB v4"
  Data$ "Aussi rechercher dans les noms des fichiers"  
  Data$ "Afficher uniquement les codes compatibles avec la version dmo"
  Data$ "Codes compatibles avec la dmo:"
  Data$ "compatibles avec la dmo:"
  Data$ "Liens vers des forums"
  Data$ "Liens vers les forums PureBasic"
  Data$ "Forum anglais"
  Data$ "Forum allemand"
  Data$ "Forum franais"
  Data$ "PureBasic-Lounge.de"
  Data$ "Question"
  Data$ "Voulez-vous vraiment quitter la vrification du code?"
EndDataSection

; IDE Options = PureBasic 4.40 Beta 2 (Windows - x86)
; CursorPosition = 352
; FirstLine = 317
; Folding = -
; EnableXP