#NbPBFunctions = 892
Global Dim PBFunctions.s(#NbPBFunctions)
Global Dim PBFunctionsHT.l(255)

Restore PBFunctionKeywords
For k=1 To #NbPBFunctions
  Read.s PBFunctions.s(k)
  Char = Asc(LCase(PBFunctions(k)))
  If Char <> CurrentChar
    PBFunctionsHT(Char) = k
    CurrentChar = Char
  EndIf
Next

DataSection
  ;- Keywords - PB Functions
  PBFunctionKeywords:
    Data$ "Abs"
    Data$ "ACos"
    Data$ "Add3DArchive"
    Data$ "AddBillboard"
    Data$ "AddDate"
    Data$ "AddElement"
    Data$ "AddGadgetColumn"
    Data$ "AddGadgetItem"
    Data$ "AddKeyboardShortcut"
    Data$ "AddMaterialLayer"
    Data$ "AddPackFile"
    Data$ "AddPackMemory"
    Data$ "AddStatusBarField"
    Data$ "AddSysTrayIcon"
    Data$ "AllocateMemory"
    Data$ "AmbientColor"
    Data$ "AnimateEntity"
    Data$ "Asc"
    Data$ "ASin"
    Data$ "ATan"
    Data$ "AudioCDLength"
    Data$ "AudioCDName"
    Data$ "AudioCDStatus"
    Data$ "AudioCDTrackLength"
    Data$ "AudioCDTracks"
    Data$ "AudioCDTrackSeconds"
    Data$ "AvailableProgramOutput"
    Data$ "AvailableScreenMemory"
    Data$ "BackColor"
    Data$ "Base64Decoder"
    Data$ "Base64Encoder"
    Data$ "BillboardGroupLocate"
    Data$ "BillboardGroupMaterial"
    Data$ "BillboardGroupX"
    Data$ "BillboardGroupY"
    Data$ "BillboardGroupZ"
    Data$ "BillboardHeight"
    Data$ "BillboardLocate"
    Data$ "BillboardWidth"
    Data$ "BillboardX"
    Data$ "BillboardY"
    Data$ "BillboardZ"
    Data$ "Bin"
    Data$ "BinQ"
    Data$ "Blue"
    Data$ "Box"
    Data$ "ButtonGadget"
    Data$ "ButtonImageGadget"
    Data$ "CalendarGadget"
    Data$ "CallCFunction"
    Data$ "CallCFunctionFast"
    Data$ "CallFunction"
    Data$ "CallFunctionFast"
    Data$ "CameraBackColor"
    Data$ "CameraFOV"
    Data$ "CameraLocate"
    Data$ "CameraLookAt"
    Data$ "CameraProjection"
    Data$ "CameraRange"
    Data$ "CameraRenderMode"
    Data$ "CameraX"
    Data$ "CameraY"
    Data$ "CameraZ"
    Data$ "CatchImage"
    Data$ "CatchSound"
    Data$ "CatchSprite"
    Data$ "ChangeAlphaIntensity"
    Data$ "ChangeCurrentElement"
    Data$ "ChangeGamma"
    Data$ "ChangeListIconGadgetDisplay"
    Data$ "ChangeSysTrayIcon"
    Data$ "CheckBoxGadget"
    Data$ "CheckEntityCollision"
    Data$ "CheckFilename"
    Data$ "Chr"
    Data$ "Circle"
    Data$ "ClearBillboards"
    Data$ "ClearClipboard"
    Data$ "ClearConsole"
    Data$ "ClearError"
    Data$ "ClearGadgetItemList"
    Data$ "ClearList"
    Data$ "ClearScreen"
    Data$ "ClipSprite"
    Data$ "CloseConsole"
    Data$ "CloseDatabase"
    Data$ "CloseFile"
    Data$ "CloseGadgetList"
    Data$ "CloseHelp"
    Data$ "CloseLibrary"
    Data$ "CloseNetworkConnection"
    Data$ "CloseNetworkServer"
    Data$ "ClosePack"
    Data$ "ClosePreferences"
    Data$ "CloseProgram"
    Data$ "CloseScreen"
    Data$ "CloseSubMenu"
    Data$ "CloseWindow"
    Data$ "ColorRequester"
    Data$ "ComboBoxGadget"
    Data$ "CompareMemory"
    Data$ "CompareMemoryString"
    Data$ "ConnectionID"
    Data$ "ConsoleColor"
    Data$ "ConsoleCursor"
    Data$ "ConsoleError"
    Data$ "ConsoleLocate"
    Data$ "ConsoleTitle"
    Data$ "ContainerGadget"
    Data$ "CopyDirectory"
    Data$ "CopyEntity"
    Data$ "CopyFile"
    Data$ "CopyImage"
    Data$ "CopyLight"
    Data$ "CopyMaterial"
    Data$ "CopyMemory"
    Data$ "CopyMemoryString"
    Data$ "CopyMesh"
    Data$ "CopySprite"
    Data$ "CopyTexture"
    Data$ "Cos"
    Data$ "CountBillboards"
    Data$ "CountGadgetItems"
    Data$ "CountLibraryFunctions"
    Data$ "CountList"
    Data$ "CountMaterialLayers"
    Data$ "CountProgramParameters"
    Data$ "CountRenderedTriangles"
    Data$ "CountString"
    Data$ "CRC32Fingerprint"
    Data$ "CreateBillboardGroup"
    Data$ "CreateCamera"
    Data$ "CreateDirectory"
    Data$ "CreateEntity"
    Data$ "CreateFile"
    Data$ "CreateGadgetList"
    Data$ "CreateImage"
    Data$ "CreateLight"
    Data$ "CreateMaterial"
    Data$ "CreateMenu"
    Data$ "CreateMesh"
    Data$ "CreateMutex"
    Data$ "CreateNetworkServer"
    Data$ "CreatePack"
    Data$ "CreatePalette"
    Data$ "CreateParticleEmitter"
    Data$ "CreatePopupMenu"
    Data$ "CreatePreferences"
    Data$ "CreateSprite"
    Data$ "CreateSprite3D"
    Data$ "CreateStatusBar"
    Data$ "CreateTerrain"
    Data$ "CreateTexture"
    Data$ "CreateThread"
    Data$ "CreateToolBar"
    Data$ "DatabaseColumnName"
    Data$ "DatabaseColumns"
    Data$ "DatabaseColumnType"
    Data$ "DatabaseDriverDescription"
    Data$ "DatabaseDriverName"
    Data$ "DatabaseError"
    Data$ "DatabaseQuery"
    Data$ "DatabaseUpdate"
    Data$ "Date"
    Data$ "DateGadget"
    Data$ "Day"
    Data$ "DayOfWeek"
    Data$ "DayOfYear"
    Data$ "DefaultPrinter"
    Data$ "Defined"
    Data$ "Delay"
    Data$ "DeleteDirectory"
    Data$ "DeleteElement"
    Data$ "DeleteFile"
    Data$ "DESFingerprint"
    Data$ "DesktopDepth"
    Data$ "DesktopFrequency"
    Data$ "DesktopHeight"
    Data$ "DesktopMouseX"
    Data$ "DesktopMouseY"
    Data$ "DesktopName"
    Data$ "DesktopWidth"
    Data$ "DirectoryEntryAttributes"
    Data$ "DirectoryEntryDate"
    Data$ "DirectoryEntryName"
    Data$ "DirectoryEntrySize"
    Data$ "DirectoryEntryType"
    Data$ "DisableGadget"
    Data$ "DisableMaterialLighting"
    Data$ "DisableMenuItem"
    Data$ "DisableToolBarButton"
    Data$ "DisableWindow"
    Data$ "DisASMCommand"
    Data$ "DisplayAlphaSprite"
    Data$ "DisplayPalette"
    Data$ "DisplayPopupMenu"
    Data$ "DisplayRGBFilter"
    Data$ "DisplayShadowSprite"
    Data$ "DisplaySolidSprite"
    Data$ "DisplaySprite"
    Data$ "DisplaySprite3D"
    Data$ "DisplayTranslucentSprite"
    Data$ "DisplayTransparentSprite"
    Data$ "DragFiles"
    Data$ "DragImage"
    Data$ "DragOSFormats"
    Data$ "DragPrivate"
    Data$ "DragText"
    Data$ "DrawAlphaImage"
    Data$ "DrawImage"
    Data$ "DrawingBuffer"
    Data$ "DrawingBufferPitch"
    Data$ "DrawingBufferPixelFormat"
    Data$ "DrawingFont"
    Data$ "DrawingMode"
    Data$ "DrawText"
    Data$ "EditorGadget"
    Data$ "EjectAudioCD"
    Data$ "ElapsedMilliseconds"
    Data$ "Ellipse"
    Data$ "EnableGadgetDrop"
    Data$ "EnableGraphicalConsole"
    Data$ "EnableWindowDrop"
    Data$ "EnableWorldCollisions"
    Data$ "EnableWorldPhysics"
    Data$ "Engine3DFrameRate"
    Data$ "EntityAngleX"
    Data$ "EntityAnimationLength"
    Data$ "EntityLocate"
    Data$ "EntityMaterial"
    Data$ "EntityMesh"
    Data$ "EntityPhysicBody"
    Data$ "EntityRenderMode"
    Data$ "EntityX"
    Data$ "EntityY"
    Data$ "EntityZ"
    Data$ "EnvironmentVariableName"
    Data$ "EnvironmentVariableValue"
    Data$ "Eof"
    Data$ "EventClient"
    Data$ "EventDropBuffer"
    Data$ "EventDropFiles"
    Data$ "EventDropImage"
    Data$ "EventDropPrivate"
    Data$ "EventDropSize"
    Data$ "EventDropText"
    Data$ "EventDropType"
    Data$ "EventGadget"
    Data$ "EventlParam"
    Data$ "EventMenu"
    Data$ "EventServer"
    Data$ "EventType"
    Data$ "EventWindow"
    Data$ "EventwParam"
    Data$ "ExamineDatabaseDrivers"
    Data$ "ExamineDesktops"
    Data$ "ExamineDirectory"
    Data$ "ExamineEnvironmentVariables"
    Data$ "ExamineIPAddresses"
    Data$ "ExamineJoystick"
    Data$ "ExamineKeyboard"
    Data$ "ExamineLibraryFunctions"
    Data$ "ExamineMouse"
    Data$ "ExaminePreferenceGroups"
    Data$ "ExaminePreferenceKeys"
    Data$ "ExamineScreenModes"
    Data$ "ExamineWorldCollisions"
    Data$ "ExplorerComboGadget"
    Data$ "ExplorerListGadget"
    Data$ "ExplorerTreeGadget"
    Data$ "FileBuffersSize"
    Data$ "FileID"
    Data$ "FileSeek"
    Data$ "FileSize"
    Data$ "FillArea"
    Data$ "FindString"
    Data$ "FinishDirectory"
    Data$ "FirstDatabaseRow"
    Data$ "FirstElement"
    Data$ "FirstWorldCollisionEntity"
    Data$ "FlipBuffers"
    Data$ "FlushFileBuffers"
    Data$ "Fog"
    Data$ "FontID"
    Data$ "FontRequester"
    Data$ "FormatDate"
    Data$ "Frame3DGadget"
    Data$ "FreeBillboardGroup"
    Data$ "FreeCamera"
    Data$ "FreeEntity"
    Data$ "FreeFont"
    Data$ "FreeGadget"
    Data$ "FreeImage"
    Data$ "FreeLight"
    Data$ "FreeMaterial"
    Data$ "FreeMemory"
    Data$ "FreeMenu"
    Data$ "FreeMesh"
    Data$ "FreeModule"
    Data$ "FreeMovie"
    Data$ "FreeMutex"
    Data$ "FreePalette"
    Data$ "FreeParticleEmitter"
    Data$ "FreeSound"
    Data$ "FreeSprite"
    Data$ "FreeSprite3D"
    Data$ "FreeStatusBar"
    Data$ "FreeTexture"
    Data$ "FreeToolBar"
    Data$ "FrontColor"
    Data$ "GadgetHeight"
    Data$ "GadgetID"
    Data$ "GadgetItemID"
    Data$ "GadgetToolTip"
    Data$ "GadgetType"
    Data$ "GadgetWidth"
    Data$ "GadgetX"
    Data$ "GadgetY"
    Data$ "GetActiveGadget"
    Data$ "GetActiveWindow"
    Data$ "GetClientIP"
    Data$ "GetClientPort"
    Data$ "GetClipboardImage"
    Data$ "GetClipboardText"
    Data$ "GetCurrentDirectory"
    Data$ "GetCurrentEIP"
    Data$ "GetDatabaseDouble"
    Data$ "GetDatabaseFloat"
    Data$ "GetDatabaseLong"
    Data$ "GetDatabaseQuad"
    Data$ "GetDatabaseString"
    Data$ "GetDisASMString"
    Data$ "GetEntityAnimationTime"
    Data$ "GetEntityFriction"
    Data$ "GetEntityMass"
    Data$ "GetEnvironmentVariable"
    Data$ "GetErrorAddress"
    Data$ "GetErrorCounter"
    Data$ "GetErrorDescription"
    Data$ "GetErrorDLL"
    Data$ "GetErrorLineNR"
    Data$ "GetErrorModuleName"
    Data$ "GetErrorNumber"
    Data$ "GetErrorRegister"
    Data$ "GetExtensionPart"
    Data$ "GetFileAttributes"
    Data$ "GetFileDate"
    Data$ "GetFilePart"
    Data$ "GetFunction"
    Data$ "GetFunctionEntry"
    Data$ "GetGadgetAttribute"
    Data$ "GetGadgetColor"
    Data$ "GetGadgetData"
    Data$ "GetGadgetFont"
    Data$ "GetGadgetItemAttribute"
    Data$ "GetGadgetItemColor"
    Data$ "GetGadgetItemData"
    Data$ "GetGadgetItemState"
    Data$ "GetGadgetItemText"
    Data$ "GetGadgetState"
    Data$ "GetGadgetText"
    Data$ "GetHomeDirectory"
    Data$ "GetMenuItemState"
    Data$ "GetMenuItemText"
    Data$ "GetMenuTitleText"
    Data$ "GetModulePosition"
    Data$ "GetModuleRow"
    Data$ "GetPaletteColor"
    Data$ "GetPathPart"
    Data$ "GetTemporaryDirectory"
    Data$ "GetToolBarButtonState"
    Data$ "GetWindowColor"
    Data$ "GetWindowState"
    Data$ "GetWindowTitle"
    Data$ "GoToEIP"
    Data$ "GrabImage"
    Data$ "GrabSprite"
    Data$ "Green"
    Data$ "Hex"
    Data$ "HexQ"
    Data$ "HideBillboardGroup"
    Data$ "HideEntity"
    Data$ "HideGadget"
    Data$ "HideLight"
    Data$ "HideMenu"
    Data$ "HideParticleEmitter"
    Data$ "HideWindow"
    Data$ "Hostname"
    Data$ "Hour"
    Data$ "HyperLinkGadget"
    Data$ "ImageDepth"
    Data$ "ImageGadget"
    Data$ "ImageHeight"
    Data$ "ImageID"
    Data$ "ImageOutput"
    Data$ "ImageWidth"
    Data$ "InitAudioCD"
    Data$ "InitDatabase"
    Data$ "InitEngine3D"
    Data$ "InitJoystick"
    Data$ "InitKeyboard"
    Data$ "InitModule"
    Data$ "InitMouse"
    Data$ "InitMovie"
    Data$ "InitNetwork"
    Data$ "InitPalette"
    Data$ "InitScreen"
    Data$ "InitSound"
    Data$ "InitSprite"
    Data$ "InitSprite3D"
    Data$ "Inkey"
    Data$ "Input"
    Data$ "InputRequester"
    Data$ "InsertElement"
    Data$ "Int"
    Data$ "IntQ"
    Data$ "IPAddressField"
    Data$ "IPAddressGadget"
    Data$ "IPString"
    Data$ "IsBillboardGroup"
    Data$ "IsCamera"
    Data$ "IsDatabase"
    Data$ "IsDirectory"
    Data$ "IsEntity"
    Data$ "IsFile"
    Data$ "IsFont"
    Data$ "IsGadget"
    Data$ "IsImage"
    Data$ "IsLibrary"
    Data$ "IsLight"
    Data$ "IsMaterial"
    Data$ "IsMenu"
    Data$ "IsMesh"
    Data$ "IsModule"
    Data$ "IsMovie"
    Data$ "IsPalette"
    Data$ "IsParticleEmitter"
    Data$ "IsProgram"
    Data$ "IsScreenActive"
    Data$ "IsSound"
    Data$ "IsSprite"
    Data$ "IsSprite3D"
    Data$ "IsStatusBar"
    Data$ "IsSysTrayIcon"
    Data$ "IsTexture"
    Data$ "IsThread"
    Data$ "IsToolBar"
    Data$ "IsWindow"
    Data$ "JoystickAxisX"
    Data$ "JoystickAxisY"
    Data$ "JoystickButton"
    Data$ "KeyboardInkey"
    Data$ "KeyboardMode"
    Data$ "KeyboardPushed"
    Data$ "KeyboardReleased"
    Data$ "KillProgram"
    Data$ "KillThread"
    Data$ "LastElement"
    Data$ "LCase"
    Data$ "Left"
    Data$ "Len"
    Data$ "LibraryFunctionAddress"
    Data$ "LibraryFunctionName"
    Data$ "LibraryID"
    Data$ "LightColor"
    Data$ "LightLocate"
    Data$ "LightSpecularColor"
    Data$ "Line"
    Data$ "LineXY"
    Data$ "ListIconGadget"
    Data$ "ListIndex"
    Data$ "ListViewGadget"
    Data$ "LoadFont"
    Data$ "LoadImage"
    Data$ "LoadMesh"
    Data$ "LoadModule"
    Data$ "LoadMovie"
    Data$ "LoadPalette"
    Data$ "LoadSound"
    Data$ "LoadSprite"
    Data$ "LoadTexture"
    Data$ "LoadWorld"
    Data$ "Loc"
    Data$ "LockMutex"
    Data$ "Lof"
    Data$ "Log"
    Data$ "Log10"
    Data$ "LSet"
    Data$ "LTrim"
    Data$ "MakeIPAddress"
    Data$ "MaterialAmbientColor"
    Data$ "MaterialBlendingMode"
    Data$ "MaterialDiffuseColor"
    Data$ "MaterialFilteringMode"
    Data$ "MaterialID"
    Data$ "MaterialShadingMode"
    Data$ "MaterialSpecularColor"
    Data$ "MD5FileFingerprint"
    Data$ "MD5Fingerprint"
    Data$ "MDIGadget"
    Data$ "MemorySize"
    Data$ "MemoryStringLength"
    Data$ "MenuBar"
    Data$ "MenuHeight"
    Data$ "MenuID"
    Data$ "MenuItem"
    Data$ "MenuTitle"
    Data$ "MeshID"
    Data$ "MessageRequester"
    Data$ "Mid"
    Data$ "Minute"
    Data$ "ModuleVolume"
    Data$ "Month"
    Data$ "MouseButton"
    Data$ "MouseDeltaX"
    Data$ "MouseDeltaY"
    Data$ "MouseLocate"
    Data$ "MouseWheel"
    Data$ "MouseX"
    Data$ "MouseY"
    Data$ "MoveBillboard"
    Data$ "MoveBillboardGroup"
    Data$ "MoveCamera"
    Data$ "MoveEntity"
    Data$ "MoveLight"
    Data$ "MoveMemory"
    Data$ "MoveParticleEmitter"
    Data$ "MovieAudio"
    Data$ "MovieHeight"
    Data$ "MovieInfo"
    Data$ "MovieLength"
    Data$ "MovieSeek"
    Data$ "MovieStatus"
    Data$ "MovieWidth"
    Data$ "NetworkClientEvent"
    Data$ "NetworkServerEvent"
    Data$ "NewPrinterPage"
    Data$ "NextDatabaseDriver"
    Data$ "NextDatabaseRow"
    Data$ "NextDirectoryEntry"
    Data$ "NextElement"
    Data$ "NextEnvironmentVariable"
    Data$ "NextIPAddress"
    Data$ "NextLibraryFunction"
    Data$ "NextPackFile"
    Data$ "NextPreferenceGroup"
    Data$ "NextPreferenceKey"
    Data$ "NextScreenMode"
    Data$ "NextSelectedFileName"
    Data$ "NextWorldCollision"
    Data$ "OffsetOf"
    Data$ "OnErrorExit"
    Data$ "OnErrorGosub"
    Data$ "OnErrorGoto"
    Data$ "OnErrorResume"
    Data$ "OpenComPort"
    Data$ "OpenConsole"
    Data$ "OpenDatabase"
    Data$ "OpenDatabaseRequester"
    Data$ "OpenFile"
    Data$ "OpenFileRequester"
    Data$ "OpenGadgetList"
    Data$ "OpenHelp"
    Data$ "OpenLibrary"
    Data$ "OpenNetworkConnection"
    Data$ "OpenPack"
    Data$ "OpenPreferences"
    Data$ "OpenScreen"
    Data$ "OpenSubMenu"
    Data$ "OpenWindow"
    Data$ "OpenWindowedScreen"
    Data$ "OptionGadget"
    Data$ "OSVersion"
    Data$ "PackerCallback"
    Data$ "PackFileSize"
    Data$ "PackMemory"
    Data$ "PanelGadget"
    Data$ "Parse3DScripts"
    Data$ "ParseDate"
    Data$ "ParticleColorFader"
    Data$ "ParticleColorRange"
    Data$ "ParticleEmissionRate"
    Data$ "ParticleEmitterDirection"
    Data$ "ParticleEmitterLocate"
    Data$ "ParticleEmitterX"
    Data$ "ParticleEmitterY"
    Data$ "ParticleEmitterZ"
    Data$ "ParticleMaterial"
    Data$ "ParticleSize"
    Data$ "ParticleTimeToLive"
    Data$ "ParticleVelocity"
    Data$ "PathRequester"
    Data$ "PauseAudioCD"
    Data$ "PauseMovie"
    Data$ "PauseThread"
    Data$ "PeekB"
    Data$ "PeekC"
    Data$ "PeekD"
    Data$ "PeekF"
    Data$ "PeekL"
    Data$ "PeekQ"
    Data$ "PeekS"
    Data$ "PeekW"
    Data$ "PlayAudioCD"
    Data$ "PlayModule"
    Data$ "PlayMovie"
    Data$ "PlaySound"
    Data$ "Plot"
    Data$ "Point"
    Data$ "PokeB"
    Data$ "PokeC"
    Data$ "PokeD"
    Data$ "PokeF"
    Data$ "PokeL"
    Data$ "PokeQ"
    Data$ "PokeS"
    Data$ "PokeW"
    Data$ "Pow"
    Data$ "PreferenceComment"
    Data$ "PreferenceGroup"
    Data$ "PreferenceGroupName"
    Data$ "PreferenceKeyName"
    Data$ "PreferenceKeyValue"
    Data$ "PreviousDatabaseRow"
    Data$ "PreviousElement"
    Data$ "Print"
    Data$ "PrinterOutput"
    Data$ "PrinterPageHeight"
    Data$ "PrinterPageWidth"
    Data$ "PrintN"
    Data$ "PrintRequester"
    Data$ "ProgramExitCode"
    Data$ "ProgramFilename"
    Data$ "ProgramID"
    Data$ "ProgramParameter"
    Data$ "ProgramRunning"
    Data$ "ProgressBarGadget"
    Data$ "Random"
    Data$ "RandomSeed"
    Data$ "RawKey"
    Data$ "ReadByte"
    Data$ "ReadCharacter"
    Data$ "ReadConsoleData"
    Data$ "ReadData"
    Data$ "ReadDouble"
    Data$ "ReadFile"
    Data$ "ReadFloat"
    Data$ "ReadLong"
    Data$ "ReadPreferenceDouble"
    Data$ "ReadPreferenceFloat"
    Data$ "ReadPreferenceLong"
    Data$ "ReadPreferenceQuad"
    Data$ "ReadPreferenceString"
    Data$ "ReadProgramData"
    Data$ "ReadProgramError"
    Data$ "ReadProgramString"
    Data$ "ReadQuad"
    Data$ "ReadString"
    Data$ "ReadStringFormat"
    Data$ "ReadWord"
    Data$ "ReAllocateMemory"
    Data$ "ReceiveNetworkData"
    Data$ "ReceiveNetworkFile"
    Data$ "Red"
    Data$ "ReleaseMouse"
    Data$ "RemoveBillboard"
    Data$ "RemoveEnvironmentVariable"
    Data$ "RemoveGadgetColumn"
    Data$ "RemoveGadgetItem"
    Data$ "RemoveKeyboardShortcut"
    Data$ "RemoveMaterialLayer"
    Data$ "RemovePreferenceGroup"
    Data$ "RemovePreferenceKey"
    Data$ "RemoveString"
    Data$ "RemoveSysTrayIcon"
    Data$ "RenameFile"
    Data$ "RenderMovieFrame"
    Data$ "RenderWorld"
    Data$ "ReplaceString"
    Data$ "ResetList"
    Data$ "ResizeBillboard"
    Data$ "ResizeEntity"
    Data$ "ResizeGadget"
    Data$ "ResizeImage"
    Data$ "ResizeMovie"
    Data$ "ResizeParticleEmitter"
    Data$ "ResizeWindow"
    Data$ "ResumeAudioCD"
    Data$ "ResumeMovie"
    Data$ "ResumeThread"
    Data$ "RGB"
    Data$ "Right"
    Data$ "RotateBillboardGroup"
    Data$ "RotateCamera"
    Data$ "RotateEntity"
    Data$ "RotateMaterial"
    Data$ "RotateSprite3D"
    Data$ "Round"
    Data$ "RSet"
    Data$ "RTrim"
    Data$ "RunProgram"
    Data$ "SaveFileRequester"
    Data$ "SaveImage"
    Data$ "SaveSprite"
    Data$ "ScaleEntity"
    Data$ "ScaleMaterial"
    Data$ "ScreenID"
    Data$ "ScreenModeDepth"
    Data$ "ScreenModeHeight"
    Data$ "ScreenModeRefreshRate"
    Data$ "ScreenModeWidth"
    Data$ "ScreenOutput"
    Data$ "ScrollAreaGadget"
    Data$ "ScrollBarGadget"
    Data$ "ScrollMaterial"
    Data$ "Second"
    Data$ "SecondWorldCollisionEntity"
    Data$ "SelectedFilePattern"
    Data$ "SelectedFontColor"
    Data$ "SelectedFontName"
    Data$ "SelectedFontSize"
    Data$ "SelectedFontStyle"
    Data$ "SelectElement"
    Data$ "SendNetworkData"
    Data$ "SendNetworkFile"
    Data$ "SendNetworkString"
    Data$ "SetActiveGadget"
    Data$ "SetActiveWindow"
    Data$ "SetClipboardImage"
    Data$ "SetClipboardText"
    Data$ "SetCurrentDirectory"
    Data$ "SetEntityAnimationTime"
    Data$ "SetEntityFriction"
    Data$ "SetEntityMass"
    Data$ "SetEnvironmentVariable"
    Data$ "SetErrorNumber"
    Data$ "SetFileAttributes"
    Data$ "SetFileDate"
    Data$ "SetFrameRate"
    Data$ "SetGadgetAttribute"
    Data$ "SetGadgetColor"
    Data$ "SetGadgetData"
    Data$ "SetGadgetFont"
    Data$ "SetGadgetItemAttribute"
    Data$ "SetGadgetItemColor"
    Data$ "SetGadgetItemData"
    Data$ "SetGadgetItemState"
    Data$ "SetGadgetItemText"
    Data$ "SetGadgetState"
    Data$ "SetGadgetText"
    Data$ "SetMenuItemState"
    Data$ "SetMenuItemText"
    Data$ "SetMenuTitleText"
    Data$ "SetMeshData"
    Data$ "SetModulePosition"
    Data$ "SetPaletteColor"
    Data$ "SetRefreshRate"
    Data$ "SetToolBarButtonState"
    Data$ "SetWindowCallback"
    Data$ "SetWindowColor"
    Data$ "SetWindowState"
    Data$ "SetWindowTitle"
    Data$ "Sin"
    Data$ "SizeOf"
    Data$ "SkyBox"
    Data$ "SkyDome"
    Data$ "SmartWindowRefresh"
    Data$ "SortArray"
    Data$ "SortList"
    Data$ "SortStructuredArray"
    Data$ "SortStructuredList"
    Data$ "SoundFrequency"
    Data$ "SoundPan"
    Data$ "SoundVolume"
    Data$ "Space"
    Data$ "SpinGadget"
    Data$ "SplitterGadget"
    Data$ "Sprite3DBlendingMode"
    Data$ "Sprite3DQuality"
    Data$ "SpriteCollision"
    Data$ "SpriteDepth"
    Data$ "SpriteHeight"
    Data$ "SpriteID"
    Data$ "SpriteOutput"
    Data$ "SpritePixelCollision"
    Data$ "SpriteWidth"
    Data$ "Sqr"
    Data$ "Start3D"
    Data$ "StartDrawing"
    Data$ "StartPrinting"
    Data$ "StartSpecialFX"
    Data$ "StatusBarHeight"
    Data$ "StatusBarIcon"
    Data$ "StatusBarID"
    Data$ "StatusBarText"
    Data$ "StickyWindow"
    Data$ "Stop3D"
    Data$ "StopAudioCD"
    Data$ "StopDrawing"
    Data$ "StopModule"
    Data$ "StopMovie"
    Data$ "StopPrinting"
    Data$ "StopSound"
    Data$ "StopSpecialFX"
    Data$ "Str"
    Data$ "StrD"
    Data$ "StrF"
    Data$ "StringByteLength"
    Data$ "StringField"
    Data$ "StringGadget"
    Data$ "StrQ"
    Data$ "StrU"
    Data$ "Subsystem"
    Data$ "SwapElements"
    Data$ "SysTrayIconToolTip"
    Data$ "Tan"
    Data$ "TerrainHeight"
    Data$ "TextGadget"
    Data$ "TextHeight"
    Data$ "TextureHeight"
    Data$ "TextureID"
    Data$ "TextureOutput"
    Data$ "TextureWidth"
    Data$ "TextWidth"
    Data$ "ThreadID"
    Data$ "ThreadPriority"
    Data$ "ToolBarHeight"
    Data$ "ToolBarID"
    Data$ "ToolBarImageButton"
    Data$ "ToolBarSeparator"
    Data$ "ToolBarStandardButton"
    Data$ "ToolBarToolTip"
    Data$ "TrackBarGadget"
    Data$ "TransformSprite3D"
    Data$ "TransparentSpriteColor"
    Data$ "TreeGadget"
    Data$ "Trim"
    Data$ "TryLockMutex"
    Data$ "UCase"
    Data$ "UnlockMutex"
    Data$ "UnpackMemory"
    Data$ "UseAudioCD"
    Data$ "UseBuffer"
    Data$ "UseGadgetList"
    Data$ "UseJPEGImageDecoder"
    Data$ "UseJPEGImageEncoder"
    Data$ "UseOGGSoundDecoder"
    Data$ "UsePNGImageDecoder"
    Data$ "UsePNGImageEncoder"
    Data$ "UseTGAImageDecoder"
    Data$ "UseTIFFImageDecoder"
    Data$ "Val"
    Data$ "ValD"
    Data$ "ValF"
    Data$ "ValQ"
    Data$ "WaitProgram"
    Data$ "WaitThread"
    Data$ "WaitWindowEvent"
    Data$ "WebGadget"
    Data$ "WindowEvent"
    Data$ "WindowHeight"
    Data$ "WindowID"
    Data$ "WindowMouseX"
    Data$ "WindowMouseY"
    Data$ "WindowOutput"
    Data$ "WindowWidth"
    Data$ "WindowX"
    Data$ "WindowY"
    Data$ "WorldGravity"
    Data$ "WorldShadows"
    Data$ "WriteByte"
    Data$ "WriteCharacter"
    Data$ "WriteConsoleData"
    Data$ "WriteData"
    Data$ "WriteDouble"
    Data$ "WriteFloat"
    Data$ "WriteLong"
    Data$ "WritePreferenceDouble"
    Data$ "WritePreferenceFloat"
    Data$ "WritePreferenceLong"
    Data$ "WritePreferenceQuad"
    Data$ "WritePreferenceString"
    Data$ "WriteProgramData"
    Data$ "WriteProgramString"
    Data$ "WriteProgramStringN"
    Data$ "WriteQuad"
    Data$ "WriteString"
    Data$ "WriteStringFormat"
    Data$ "WriteStringN"
    Data$ "WriteWord"
    Data$ "Year"
    Data$ "ZoomSprite3D"
EndDataSection

; IDE Options = PureBasic 4.30 (MacOS X - x86)
; CursorPosition = 6
; FirstLine = 4
; Folding = -
; EnableXP