Global Dim files.s(#maxfiles)


Procedure.s ListFiles(directory.s , filename.s, extension.s , directoryid.l )
  Protected dirid, dirtype
  Protected file.s, this_extension.s, this_filename.s
  If Right(directory,1) <> DS$  ; "\" on Windows, "/" on MqcOS
    directory + DS$
    ;Debug DS$ + " added!"
  EndIf
  ;Debug "Examining directory: " + directory
  If ExamineDirectory(directoryid, directory, "*.*")
    dirid=NextDirectoryEntry(directoryid)
    While dirid
      dirtype = DirectoryEntryType(directoryid)
      Select dirtype
        Case #PB_DirectoryEntry_File
          file.s=DirectoryEntryName(directoryid)
          this_extension.s=LCase(GetExtensionPart(file))
          this_filename.s=LCase(Left(file,Len(file)-Len(this_extension)))
          If Len(this_extension)
            this_filename=Left(this_filename,Len(this_filename)-1)
          EndIf
          If this_extension=extension Or this_extension="pbi" Or extension="*"
            If this_filename=filename Or filename="*"
              file.s = directory + DirectoryEntryName(directoryid)
              
              ;file contains the full path and filename
              ;you must insert here what to do with the file
              files + 1
              files(files) = file.s
              
              ;Debug Str(files) + " - " + files(files)   
            EndIf
          EndIf
        Case #PB_DirectoryEntry_Directory
          If DirectoryEntryName(directoryid)<>"." And DirectoryEntryName(directoryid)<>".." And DirectoryEntryName(directoryid)<>".svn"
            ListFiles(directory+DirectoryEntryName(directoryid),filename,extension,directoryid+1)    ; DS$ = "\" on Windows, "/" on MacOS
          EndIf
      EndSelect
      dirid = NextDirectoryEntry(directoryid)
    Wend
    FinishDirectory(directoryid)
  Else 
    CompilerIf #PB_Compiler_OS = #PB_OS_Windows
      MessageRequester("Error", "Unable to examine directory: <" + directory + ">. CAV will be closed...", #MB_ICONWARNING)
    CompilerElse
      MessageRequester("Error", "Unable to examine directory: <" + directory + ">. CAV will be closed...")
    CompilerEndIf
    If files < 1
      End
    EndIf
  EndIf
  ProcedureReturn ""
EndProcedure

; Dir$="c:\programming\purebasic_cdrom\codearchiv\"
; Dir = Len(Dir$)  ; Dir length will used for deleting first part of the path

Dir = Len(path$)  ; Dir length will used for deleting first part of the path

ListFiles(path$,"*","pb",0)      ; the last parameter should be zero
; IDE Options = PureBasic 4.30 (MacOS X - x86)
; CursorPosition = 10
; Folding = -
; UseMainFile = CodeArchivViewer_Main.pb